/******* 在 kd_1.0.42_upgrade_to_1.5.sql 中已经执行过以下脚本 *******/
/*
-- #折旧用途# 将已存在的那条“账面折旧”设置为默认用途
-- if not exists (select 1 from t_fa_depreuse where fdefault='1')
-- update t_fa_depreuse set fdefault = '1' where fNumber='01';

-- #折旧用途# 如果环境没有编码为01的折旧用途，就将编码为001的折旧用途设置为默认用途
-- if not exists (select 1 from t_fa_depreuse where fdefault='1')
-- update t_fa_depreuse set fdefault = '1' where fNumber='001';
*/

-- 在此基础上，再执行以下脚本，最终做到全局有且只有一个默认的折旧用途，并且它的编码是01
if not exists (select 1 from t_fa_depreuse where fdefault='1')
update t_fa_depreuse set fdefault = '1' where fid = (select min(fid) from T_FA_DEPREUSE);

if exists (select 1 from t_fa_depreuse where fdefault != '1' and fNumber='01')
update t_fa_depreuse set fNumber='31415926' where fdefault != '1' and fNumber='01';

if exists (select 1 from t_fa_depreuse where fdefault='1' and fNumber!='01')
update t_fa_depreuse set fNumber='01' where fdefault='1' and fNumber!='01';

