--------------------------------------------
----          租赁合同通用查询API         ----
--------------------------------------------

-- 主表
DELETE FROM t_open_apiservice WHERE FID = 1240514596012430336;
INSERT INTO t_open_apiservice(FAPISERVICETYPE,FCUSTOMMETHOD,FOPERATION,FMASTERID,FCONTENTTYPE,FSELECTPARAM,FMUSTPARAM,FCREATETIME,FENABLE,FREQTYPE,FDISABLERID,FBIZOBJECT,FALLOWGUEST,FID,FDISABLEDATE,FURL,FSTATUS,FFILTERPARAM,FNUMBER,FREPTYPE,FMESSAGETYPE,FMODIFIERID,FPLUGIN,FMODIFYTIME,FAPPID,FURLFORMAT,FHTTPMETHOD,FCREATORID) VALUES ('0',' ','query',1240514596012430336,'0','name,createorg,modifytime',' ',{ts'2018-08-08  00:00:00'},'1',NULL,NULL,'fa_lease_contract','0',1240514596012430336,NULL,NULL,'C',' ','fa_lease_contract_query',NULL,NULL,1,' ',{ts'2018-08-08  00:00:00'},'83bfebc800001aac','/sys/fa_lease_contract/query','0',1);

-- 多语言表
DELETE FROM t_open_apiservice_l WHERE fid = 1240514596012430336;
INSERT INTO t_open_apiservice_l
(fpkid, fid, flocaleid, fdiscription, fname)
VALUES('1WC5TMLKO2CJ', 1240514596012430336, 'zh_CN', '租赁合同通用查询', '租赁合同通用查询');
INSERT INTO t_open_apiservice_l
(fpkid, fid, flocaleid, fdiscription, fname)
VALUES('1WC5TMLKO2CK', 1240514596012430336, 'zh_TW', '租賃合同通用查詢', '租賃合同通用查詢');

-- 请求头
DELETE FROM t_open_apiheaderentry WHERE FENTRYID = 1241153129882501120;
INSERT INTO t_open_apiheaderentry(FID,FHEADERNAME,FENTRYID,FSEQ,FHEADERVALUE,FHEADERDES) VALUES (1240514596012430336,'Content-Type',1241153129882501120,1,'application/json','内容格式');
DELETE FROM t_open_apiheaderentry WHERE FENTRYID = 1241153129882501121;
INSERT INTO t_open_apiheaderentry(FID,FHEADERNAME,FENTRYID,FSEQ,FHEADERVALUE,FHEADERDES) VALUES (1240514596012430336,'accesstoken',1241153129882501121,2,'获取的accesstoken值','请求令牌');

-- query参数
DELETE FROM t_open_apiqueryparamentry WHERE FENTRYID = 1240514596012334084;
INSERT INTO t_open_apiqueryparamentry(FID,FURLPARAMTYPE,FURLPARAMEXAMPLE,FURLPARAMMUST,FURLPARAMNAME,FENTRYID,FSEQ,FURLPARAMDES) VALUES (1240514596012430336,'String','number','1','order',1240514596012334084,3,'排序字段，用英文逗号隔开');
DELETE FROM t_open_apiqueryparamentry WHERE FENTRYID = 1240514596012334082;
INSERT INTO t_open_apiqueryparamentry(FID,FURLPARAMTYPE,FURLPARAMEXAMPLE,FURLPARAMMUST,FURLPARAMNAME,FENTRYID,FSEQ,FURLPARAMDES) VALUES (1240514596012430336,'String','assetunit,number','1','select',1240514596012334082,1,'查询的字段，用英文逗号隔开，一定要包含字段“assetunit”');
DELETE FROM t_open_apiqueryparamentry WHERE FENTRYID = 1240514596012334083;
INSERT INTO t_open_apiqueryparamentry(FID,FURLPARAMTYPE,FURLPARAMEXAMPLE,FURLPARAMMUST,FURLPARAMNAME,FENTRYID,FSEQ,FURLPARAMDES) VALUES (1240514596012430336,'String','number EQ HT001 and org.number EQ Org-00027','1','filter',1240514596012334083,2,'过滤条件。EQ:等于；NQ:不等于；LT:小于；LQ:小于等于；BT:大于；BQ:大于等于；IN:包含；NI:不包含');

-- 返回参数
DELETE FROM t_open_apirespentry WHERE FENTRYID = 1241151031086333952;
INSERT INTO t_open_apirespentry(FID,FRESPPARAMNAME,FRESPPARAMMUST,FRESPPARAMTYPE,FPARENTENTRYID,FENTRYID,FSEQ,FRESPEXAMPLE,FRESPDES) VALUES (1240514596012430336,'success','1','String',0,1241151031086333952,1,'true','是否成功');
DELETE FROM t_open_apirespentry WHERE FENTRYID = 1241151159339760640;
INSERT INTO t_open_apirespentry(FID,FRESPPARAMNAME,FRESPPARAMMUST,FRESPPARAMTYPE,FPARENTENTRYID,FENTRYID,FSEQ,FRESPEXAMPLE,FRESPDES) VALUES (1240514596012430336,'data','1','Object',0,1241151159339760640,2,' ','查询结果');
DELETE FROM t_open_apirespentry WHERE FENTRYID = 1241151328043057152;
INSERT INTO t_open_apirespentry(FID,FRESPPARAMNAME,FRESPPARAMMUST,FRESPPARAMTYPE,FPARENTENTRYID,FENTRYID,FSEQ,FRESPEXAMPLE,FRESPDES) VALUES (1240514596012430336,'count','0','int',1241151159339760640,1241151328043057152,3,'3','数据总数');
DELETE FROM t_open_apirespentry WHERE FENTRYID = 1241151609740901376;
INSERT INTO t_open_apirespentry(FID,FRESPPARAMNAME,FRESPPARAMMUST,FRESPPARAMTYPE,FPARENTENTRYID,FENTRYID,FSEQ,FRESPEXAMPLE,FRESPDES) VALUES (1240514596012430336,'header','0','Array',1241151159339760640,1241151609740901376,4,' ','查询数据的字段');
DELETE FROM t_open_apirespentry WHERE FENTRYID = 1241151894483812352;
INSERT INTO t_open_apirespentry(FID,FRESPPARAMNAME,FRESPPARAMMUST,FRESPPARAMTYPE,FPARENTENTRYID,FENTRYID,FSEQ,FRESPEXAMPLE,FRESPDES) VALUES (1240514596012430336,'name','0','String',1241151609740901376,1241151894483812352,5,'assetunit','字段标识');
DELETE FROM t_open_apirespentry WHERE FENTRYID = 1241152105071426560;
INSERT INTO t_open_apirespentry(FID,FRESPPARAMNAME,FRESPPARAMMUST,FRESPPARAMTYPE,FPARENTENTRYID,FENTRYID,FSEQ,FRESPEXAMPLE,FRESPDES) VALUES (1240514596012430336,'caption','0','String',1241151609740901376,1241152105071426560,6,'资产组织','字段名称');
DELETE FROM t_open_apirespentry WHERE FENTRYID = 1241152228451074048;
INSERT INTO t_open_apirespentry(FID,FRESPPARAMNAME,FRESPPARAMMUST,FRESPPARAMTYPE,FPARENTENTRYID,FENTRYID,FSEQ,FRESPEXAMPLE,FRESPDES) VALUES (1240514596012430336,'type','0','String',1241151609740901376,1241152228451074048,7,'long','字段类型');
DELETE FROM t_open_apirespentry WHERE FENTRYID = 1241152433854528512;
INSERT INTO t_open_apirespentry(FID,FRESPPARAMNAME,FRESPPARAMMUST,FRESPPARAMTYPE,FPARENTENTRYID,FENTRYID,FSEQ,FRESPEXAMPLE,FRESPDES) VALUES (1240514596012430336,'rows','0','Object',1241151159339760640,1241152433854528512,8,' ','查询到的数据');
