--------------------------------------------
----            租赁合同保存API           ----
--------------------------------------------

-- 主表
DELETE FROM t_open_apiservice WHERE FID = 1236053574845241344;
INSERT INTO t_open_apiservice(FAPISERVICETYPE,FCUSTOMMETHOD,FOPERATION,FMASTERID,FCONTENTTYPE,FSELECTPARAM,FMUSTPARAM,FCREATETIME,FENABLE,FREQTYPE,FDISABLERID,FBIZOBJECT,FALLOWGUEST,FID,FDISABLEDATE,FURL,FSTATUS,FFILTERPARAM,FNUMBER,FREPTYPE,FMESSAGETYPE,FMODIFIERID,FPLUGIN,FMODIFYTIME,FAPPID,FURLFORMAT,FHTTPMETHOD,FCREATORID) VALUES ('0',' ','save',1236053574845241344,'0','name,createorg,modifytime',' ',{ts'2018-08-08'},'1',NULL,NULL,'fa_lease_contract','0',1236053574845241344,NULL,NULL,'C',' ','fa_lease_contract_save',NULL,NULL,1,' ',{ts'2018-08-08'},'83bfebc800001aac','/sys/fa_lease_contract/save','1',1);

-- 多语言表
DELETE FROM t_open_apiservice_l WHERE fid = 1236053574845241344;
INSERT INTO t_open_apiservice_l
(fpkid, fid, flocaleid, fdiscription, fname)
VALUES('1VTT=8LGDH9C', 1236053574845241344, 'zh_CN', '保存单个租赁合同', '租赁合同保存');
INSERT INTO t_open_apiservice_l
(fpkid, fid, flocaleid, fdiscription, fname)
VALUES('1VTT=8LGDH9D', 1236053574845241344, 'zh_TW', '保存單個租賃合同', '租賃合同保存');

-- 请求头
DELETE FROM t_open_apiheaderentry WHERE FENTRYID = 1239877781765135360;
INSERT INTO t_open_apiheaderentry(FID,FHEADERNAME,FENTRYID,FSEQ,FHEADERVALUE,FHEADERDES) VALUES (1236053574845241344,'Content-Type',1239877781765135360,1,'application/json','内容格式');
DELETE FROM t_open_apiheaderentry WHERE FENTRYID = 1239877781765135361;
INSERT INTO t_open_apiheaderentry(FID,FHEADERNAME,FENTRYID,FSEQ,FHEADERVALUE,FHEADERDES) VALUES (1236053574845241344,'accesstoken',1239877781765135361,2,'获取的accesstoken值','请求令牌');

-- 请求体
DELETE FROM t_open_apibodyentry WHERE FENTRYID = 1236064539150161920;
INSERT INTO t_open_apibodyentry(FID,FMUST,FPARAMTYPE,FPARENTENTRYID,FBODYPARAMDES,FEXAMPLE,FENTRYID,FSEQ,FPARAMNAME) VALUES (1236053574845241344,'1','String',1236061204166773760,'受益期_起','2021-04-01',1236064539150161920,29,'rule_startdate');
DELETE FROM t_open_apibodyentry WHERE FENTRYID = 1239836680597363712;
INSERT INTO t_open_apibodyentry(FID,FMUST,FPARAMTYPE,FPARENTENTRYID,FBODYPARAMDES,FEXAMPLE,FENTRYID,FSEQ,FPARAMNAME) VALUES (1236053574845241344,'0','Long',1236151152349845504,'合同id，填写的话代表是更新合同，新增合同不需要填',' ',1239836680597363712,2,'id');
DELETE FROM t_open_apibodyentry WHERE FENTRYID = 1236061204166773760;
INSERT INTO t_open_apibodyentry(FID,FMUST,FPARAMTYPE,FPARENTENTRYID,FBODYPARAMDES,FEXAMPLE,FENTRYID,FSEQ,FPARAMNAME) VALUES (1236053574845241344,'1','Array',1236151152349845504,'付款规则分录',' ',1236061204166773760,23,'payruleentryentity');
DELETE FROM t_open_apibodyentry WHERE FENTRYID = 1236061613119805440;
INSERT INTO t_open_apibodyentry(FID,FMUST,FPARAMTYPE,FPARENTENTRYID,FBODYPARAMDES,FEXAMPLE,FENTRYID,FSEQ,FPARAMNAME) VALUES (1236053574845241344,'1','int',1236061204166773760,'行号','1',1236061613119805440,25,'seq');
DELETE FROM t_open_apibodyentry WHERE FENTRYID = 1236062066507287552;
INSERT INTO t_open_apibodyentry(FID,FMUST,FPARAMTYPE,FPARENTENTRYID,FBODYPARAMDES,FEXAMPLE,FENTRYID,FSEQ,FPARAMNAME) VALUES (1236053574845241344,'1','Object',1236061204166773760,'付款项目','"rule_payitem":{"number":"pay001"}',1236062066507287552,26,'rule_payitem');
DELETE FROM t_open_apibodyentry WHERE FENTRYID = 1236062577885222912;
INSERT INTO t_open_apibodyentry(FID,FMUST,FPARAMTYPE,FPARENTENTRYID,FBODYPARAMDES,FEXAMPLE,FENTRYID,FSEQ,FPARAMNAME) VALUES (1236053574845241344,'1','String',1236062066507287552,'付款项目.编码','pay001',1236062577885222912,27,'number');
DELETE FROM t_open_apibodyentry WHERE FENTRYID = 1236063051011099648;
INSERT INTO t_open_apibodyentry(FID,FMUST,FPARAMTYPE,FPARENTENTRYID,FBODYPARAMDES,FEXAMPLE,FENTRYID,FSEQ,FPARAMNAME) VALUES (1236053574845241344,'1','String',1236061204166773760,'频率（每月：A；每两个月：B；每三个月：C；每六个月：D；每十二个月：E；一次性：F）','A',1236063051011099648,28,'frequency');
DELETE FROM t_open_apibodyentry WHERE FENTRYID = 1236069125890021376;
INSERT INTO t_open_apibodyentry(FID,FMUST,FPARAMTYPE,FPARENTENTRYID,FBODYPARAMDES,FEXAMPLE,FENTRYID,FSEQ,FPARAMNAME) VALUES (1236053574845241344,'0','Double',1236151152349845504,'年折现率','4.7',1236069125890021376,37,'discountrate');
DELETE FROM t_open_apibodyentry WHERE FENTRYID = 1239874659550321664;
INSERT INTO t_open_apibodyentry(FID,FMUST,FPARAMTYPE,FPARENTENTRYID,FBODYPARAMDES,FEXAMPLE,FENTRYID,FSEQ,FPARAMNAME) VALUES (1236053574845241344,'0','Long',1236061204166773760,'付款规则分录行id，填写的话代表是更新数据，不填的话，会当做新增的一行分录保存',' ',1239874659550321664,24,'id');
DELETE FROM t_open_apibodyentry WHERE FENTRYID = 1236151152349845504;
INSERT INTO t_open_apibodyentry(FID,FMUST,FPARAMTYPE,FPARENTENTRYID,FBODYPARAMDES,FEXAMPLE,FENTRYID,FSEQ,FPARAMNAME) VALUES (1236053574845241344,'1','Object',0,'租赁合同对象',' ',1236151152349845504,1,'data');
DELETE FROM t_open_apibodyentry WHERE FENTRYID = 1236064860349959168;
INSERT INTO t_open_apibodyentry(FID,FMUST,FPARAMTYPE,FPARENTENTRYID,FBODYPARAMDES,FEXAMPLE,FENTRYID,FSEQ,FPARAMNAME) VALUES (1236053574845241344,'1','String',1236061204166773760,'受益期_止','2023-07-31',1236064860349959168,30,'rule_enddate');
DELETE FROM t_open_apibodyentry WHERE FENTRYID = 1236065384545687552;
INSERT INTO t_open_apibodyentry(FID,FMUST,FPARAMTYPE,FPARENTENTRYID,FBODYPARAMDES,FEXAMPLE,FENTRYID,FSEQ,FPARAMNAME) VALUES (1236053574845241344,'1','int',1236061204166773760,'第几天支付（每个付款频率所对应受益期的第几天支付，可以录入负数）','1',1236065384545687552,31,'relativepaydate');
DELETE FROM t_open_apibodyentry WHERE FENTRYID = 1236065935719173120;
INSERT INTO t_open_apibodyentry(FID,FMUST,FPARAMTYPE,FPARENTENTRYID,FBODYPARAMDES,FEXAMPLE,FENTRYID,FSEQ,FPARAMNAME) VALUES (1236053574845241344,'1','String',1236061204166773760,'发票类型（专用发票：A；普通发票：B）','A',1236065935719173120,32,'rule_invoicetype');
DELETE FROM t_open_apibodyentry WHERE FENTRYID = 1236066421050480640;
INSERT INTO t_open_apibodyentry(FID,FMUST,FPARAMTYPE,FPARENTENTRYID,FBODYPARAMDES,FEXAMPLE,FENTRYID,FSEQ,FPARAMNAME) VALUES (1236053574845241344,'1','Boolean',1236061204166773760,'可抵扣','true',1236066421050480640,33,'rule_deductible');
DELETE FROM t_open_apibodyentry WHERE FENTRYID = 1236066872282090496;
INSERT INTO t_open_apibodyentry(FID,FMUST,FPARAMTYPE,FPARENTENTRYID,FBODYPARAMDES,FEXAMPLE,FENTRYID,FSEQ,FPARAMNAME) VALUES (1236053574845241344,'0','Double',1236061204166773760,'税率(%)','5',1236066872282090496,34,'rule_taxrate');
DELETE FROM t_open_apibodyentry WHERE FENTRYID = 1236067356195723264;
INSERT INTO t_open_apibodyentry(FID,FMUST,FPARAMTYPE,FPARENTENTRYID,FBODYPARAMDES,FEXAMPLE,FENTRYID,FSEQ,FPARAMNAME) VALUES (1236053574845241344,'1','Double',1236061204166773760,'含税金额','10000',1236067356195723264,35,'amount');
DELETE FROM t_open_apibodyentry WHERE FENTRYID = 1236068503790852096;
INSERT INTO t_open_apibodyentry(FID,FMUST,FPARAMTYPE,FPARENTENTRYID,FBODYPARAMDES,FEXAMPLE,FENTRYID,FSEQ,FPARAMNAME) VALUES (1236053574845241344,'0','Double',1236061204166773760,'税额','476.19',1236068503790852096,36,'rule_tax');
DELETE FROM t_open_apibodyentry WHERE FENTRYID = 1236051480822192128;
INSERT INTO t_open_apibodyentry(FID,FMUST,FPARAMTYPE,FPARENTENTRYID,FBODYPARAMDES,FEXAMPLE,FENTRYID,FSEQ,FPARAMNAME) VALUES (1236053574845241344,'1','String',1236047834629835776,'资产组织.编码','Org-00027',1236051480822192128,4,'number');
DELETE FROM t_open_apibodyentry WHERE FENTRYID = 1236052224212241408;
INSERT INTO t_open_apibodyentry(FID,FMUST,FPARAMTYPE,FPARENTENTRYID,FBODYPARAMDES,FEXAMPLE,FENTRYID,FSEQ,FPARAMNAME) VALUES (1236053574845241344,'1','String',1236048203258825728,'核算组织.编码','Org-00027',1236052224212241408,6,'number');
DELETE FROM t_open_apibodyentry WHERE FENTRYID = 1236052835624327168;
INSERT INTO t_open_apibodyentry(FID,FMUST,FPARAMTYPE,FPARENTENTRYID,FBODYPARAMDES,FEXAMPLE,FENTRYID,FSEQ,FPARAMNAME) VALUES (1236053574845241344,'1','String',1236049841503639552,'出租方.编码','SUP000001',1236052835624327168,10,'number');
DELETE FROM t_open_apibodyentry WHERE FENTRYID = 1236054548544526336;
INSERT INTO t_open_apibodyentry(FID,FMUST,FPARAMTYPE,FPARENTENTRYID,FBODYPARAMDES,FEXAMPLE,FENTRYID,FSEQ,FPARAMNAME) VALUES (1236053574845241344,'1','String',1236054393002953728,'资产类别.编码','F01',1236054548544526336,12,'number');
DELETE FROM t_open_apibodyentry WHERE FENTRYID = 1236056116090148864;
INSERT INTO t_open_apibodyentry(FID,FMUST,FPARAMTYPE,FPARENTENTRYID,FBODYPARAMDES,FEXAMPLE,FENTRYID,FSEQ,FPARAMNAME) VALUES (1236053574845241344,'1','String',1236055354874304512,'存放地点.编码','101',1236056116090148864,15,'number');
DELETE FROM t_open_apibodyentry WHERE FENTRYID = 1236056783605238784;
INSERT INTO t_open_apibodyentry(FID,FMUST,FPARAMTYPE,FPARENTENTRYID,FBODYPARAMDES,FEXAMPLE,FENTRYID,FSEQ,FPARAMNAME) VALUES (1236053574845241344,'1','String',1236055552535071744,'计量单位.编码','pcs',1236056783605238784,17,'number');
DELETE FROM t_open_apibodyentry WHERE FENTRYID = 1236047834629835776;
INSERT INTO t_open_apibodyentry(FID,FMUST,FPARAMTYPE,FPARENTENTRYID,FBODYPARAMDES,FEXAMPLE,FENTRYID,FSEQ,FPARAMNAME) VALUES (1236053574845241344,'1','Object',1236151152349845504,'资产组织','"assetunit":{"number":"Org-00027"}',1236047834629835776,3,'assetunit');
DELETE FROM t_open_apibodyentry WHERE FENTRYID = 1236048203258825728;
INSERT INTO t_open_apibodyentry(FID,FMUST,FPARAMTYPE,FPARENTENTRYID,FBODYPARAMDES,FEXAMPLE,FENTRYID,FSEQ,FPARAMNAME) VALUES (1236053574845241344,'1','Object',1236151152349845504,'核算组织','"org":{"number":"Org-00027"}',1236048203258825728,5,'org');
DELETE FROM t_open_apibodyentry WHERE FENTRYID = 1236048384469538816;
INSERT INTO t_open_apibodyentry(FID,FMUST,FPARAMTYPE,FPARENTENTRYID,FBODYPARAMDES,FEXAMPLE,FENTRYID,FSEQ,FPARAMNAME) VALUES (1236053574845241344,'0','String',1236151152349845504,'合同号，如果没有配置编码规则，调用方必须传入合同号','ZLHT-F01-0001',1236048384469538816,7,'number');
DELETE FROM t_open_apibodyentry WHERE FENTRYID = 1236049538481949696;
INSERT INTO t_open_apibodyentry(FID,FMUST,FPARAMTYPE,FPARENTENTRYID,FBODYPARAMDES,FEXAMPLE,FENTRYID,FSEQ,FPARAMNAME) VALUES (1236053574845241344,'1','String',1236151152349845504,'合同名称','xxx场地租赁合同',1236049538481949696,8,'name');
DELETE FROM t_open_apibodyentry WHERE FENTRYID = 1236049841503639552;
INSERT INTO t_open_apibodyentry(FID,FMUST,FPARAMTYPE,FPARENTENTRYID,FBODYPARAMDES,FEXAMPLE,FENTRYID,FSEQ,FPARAMNAME) VALUES (1236053574845241344,'1','Object',1236151152349845504,'出租方','"leaser":{"number":"SUP000001"}',1236049841503639552,9,'leaser');
DELETE FROM t_open_apibodyentry WHERE FENTRYID = 1236054393002953728;
INSERT INTO t_open_apibodyentry(FID,FMUST,FPARAMTYPE,FPARENTENTRYID,FBODYPARAMDES,FEXAMPLE,FENTRYID,FSEQ,FPARAMNAME) VALUES (1236053574845241344,'1','Object',1236151152349845504,'资产类别','"assetcat":{"number":"F01"}',1236054393002953728,11,'assetcat');
DELETE FROM t_open_apibodyentry WHERE FENTRYID = 1236055043271068672;
INSERT INTO t_open_apibodyentry(FID,FMUST,FPARAMTYPE,FPARENTENTRYID,FBODYPARAMDES,FEXAMPLE,FENTRYID,FSEQ,FPARAMNAME) VALUES (1236053574845241344,'1','String',1236151152349845504,'资产名称','xxx场地',1236055043271068672,13,'assetname');
DELETE FROM t_open_apibodyentry WHERE FENTRYID = 1236055354874304512;
INSERT INTO t_open_apibodyentry(FID,FMUST,FPARAMTYPE,FPARENTENTRYID,FBODYPARAMDES,FEXAMPLE,FENTRYID,FSEQ,FPARAMNAME) VALUES (1236053574845241344,'1','Object',1236151152349845504,'存放地点','"storeplace":{"number":"101"}',1236055354874304512,14,'storeplace');
DELETE FROM t_open_apibodyentry WHERE FENTRYID = 1236055552535071744;
INSERT INTO t_open_apibodyentry(FID,FMUST,FPARAMTYPE,FPARENTENTRYID,FBODYPARAMDES,FEXAMPLE,FENTRYID,FSEQ,FPARAMNAME) VALUES (1236053574845241344,'1','Object',1236151152349845504,'计量单位','"unit":{"number":"pcs"}',1236055552535071744,16,'unit');
DELETE FROM t_open_apibodyentry WHERE FENTRYID = 1236057321231128576;
INSERT INTO t_open_apibodyentry(FID,FMUST,FPARAMTYPE,FPARENTENTRYID,FBODYPARAMDES,FEXAMPLE,FENTRYID,FSEQ,FPARAMNAME) VALUES (1236053574845241344,'1','Double',1236151152349845504,'数量','1',1236057321231128576,18,'assetamount');
DELETE FROM t_open_apibodyentry WHERE FENTRYID = 1236057719975218176;
INSERT INTO t_open_apibodyentry(FID,FMUST,FPARAMTYPE,FPARENTENTRYID,FBODYPARAMDES,FEXAMPLE,FENTRYID,FSEQ,FPARAMNAME) VALUES (1236053574845241344,'0','String',1236151152349845504,'合同签订日','2021-03-01',1236057719975218176,19,'contrsigndate');
DELETE FROM t_open_apibodyentry WHERE FENTRYID = 1236058227720886272;
INSERT INTO t_open_apibodyentry(FID,FMUST,FPARAMTYPE,FPARENTENTRYID,FBODYPARAMDES,FEXAMPLE,FENTRYID,FSEQ,FPARAMNAME) VALUES (1236053574845241344,'1','String',1236151152349845504,'起租日','2021-04-01',1236058227720886272,20,'leasestartdate');
DELETE FROM t_open_apibodyentry WHERE FENTRYID = 1236059145065499648;
INSERT INTO t_open_apibodyentry(FID,FMUST,FPARAMTYPE,FPARENTENTRYID,FBODYPARAMDES,FEXAMPLE,FENTRYID,FSEQ,FPARAMNAME) VALUES (1236053574845241344,'1','String',1236151152349845504,'租赁结束日','2023-07-31',1236059145065499648,21,'leaseenddate');
DELETE FROM t_open_apibodyentry WHERE FENTRYID = 1236059428986329088;
INSERT INTO t_open_apibodyentry(FID,FMUST,FPARAMTYPE,FPARENTENTRYID,FBODYPARAMDES,FEXAMPLE,FENTRYID,FSEQ,FPARAMNAME) VALUES (1236053574845241344,'0','String',1236151152349845504,'免租期开始日','2021-03-01',1236059428986329088,22,'freeleasestartdate');

-- 返回参数
DELETE FROM t_open_apirespentry WHERE FENTRYID = 1236074992890845184;
INSERT INTO t_open_apirespentry(FID,FRESPPARAMNAME,FRESPPARAMMUST,FRESPPARAMTYPE,FPARENTENTRYID,FENTRYID,FSEQ,FRESPEXAMPLE,FRESPDES) VALUES (1236053574845241344,'data','1','Object',0,1236074992890845184,1,' ',' ');
DELETE FROM t_open_apirespentry WHERE FENTRYID = 1236079062045199360;
INSERT INTO t_open_apirespentry(FID,FRESPPARAMNAME,FRESPPARAMMUST,FRESPPARAMTYPE,FPARENTENTRYID,FENTRYID,FSEQ,FRESPEXAMPLE,FRESPDES) VALUES (1236053574845241344,'success','1','Boolean',1236074992890845184,1236079062045199360,2,'true',' ');
DELETE FROM t_open_apirespentry WHERE FENTRYID = 1236079278345456640;
INSERT INTO t_open_apirespentry(FID,FRESPPARAMNAME,FRESPPARAMMUST,FRESPPARAMTYPE,FPARENTENTRYID,FENTRYID,FSEQ,FRESPEXAMPLE,FRESPDES) VALUES (1236053574845241344,'needSign','1','Boolean',1236074992890845184,1236079278345456640,3,'false',' ');
DELETE FROM t_open_apirespentry WHERE FENTRYID = 1236079390786358272;
INSERT INTO t_open_apirespentry(FID,FRESPPARAMNAME,FRESPPARAMMUST,FRESPPARAMTYPE,FPARENTENTRYID,FENTRYID,FSEQ,FRESPEXAMPLE,FRESPDES) VALUES (1236053574845241344,'needWfAssignPersons','1','Boolean',1236074992890845184,1236079390786358272,4,'false',' ');
DELETE FROM t_open_apirespentry WHERE FENTRYID = 1236079562467612672;
INSERT INTO t_open_apirespentry(FID,FRESPPARAMNAME,FRESPPARAMMUST,FRESPPARAMTYPE,FPARENTENTRYID,FENTRYID,FSEQ,FRESPEXAMPLE,FRESPDES) VALUES (1236053574845241344,'cancelWriteLog','1','Boolean',1236074992890845184,1236079562467612672,5,'true',' ');
DELETE FROM t_open_apirespentry WHERE FENTRYID = 1236079719712069632;
INSERT INTO t_open_apirespentry(FID,FRESPPARAMNAME,FRESPPARAMMUST,FRESPPARAMTYPE,FPARENTENTRYID,FENTRYID,FSEQ,FRESPEXAMPLE,FRESPDES) VALUES (1236053574845241344,'showMessage','1','Boolean',1236074992890845184,1236079719712069632,6,'true',' ');
DELETE FROM t_open_apirespentry WHERE FENTRYID = 1236079842638731264;
INSERT INTO t_open_apirespentry(FID,FRESPPARAMNAME,FRESPPARAMMUST,FRESPPARAMTYPE,FPARENTENTRYID,FENTRYID,FSEQ,FRESPEXAMPLE,FRESPDES) VALUES (1236053574845241344,'billCount','1','int',1236074992890845184,1236079842638731264,7,'1',' ');
DELETE FROM t_open_apirespentry WHERE FENTRYID = 1236082581485685760;
INSERT INTO t_open_apirespentry(FID,FRESPPARAMNAME,FRESPPARAMMUST,FRESPPARAMTYPE,FPARENTENTRYID,FENTRYID,FSEQ,FRESPEXAMPLE,FRESPDES) VALUES (1236053574845241344,'successPkIds','1','Object',1236074992890845184,1236082581485685760,8,'[1236078563317287936]',' ');
DELETE FROM t_open_apirespentry WHERE FENTRYID = 1236082897543269376;
INSERT INTO t_open_apirespentry(FID,FRESPPARAMNAME,FRESPPARAMMUST,FRESPPARAMTYPE,FPARENTENTRYID,FENTRYID,FSEQ,FRESPEXAMPLE,FRESPDES) VALUES (1236053574845241344,'billNos','1','Object',1236074992890845184,1236082897543269376,9,' ',' ');
DELETE FROM t_open_apirespentry WHERE FENTRYID = 1236082988702275584;
INSERT INTO t_open_apirespentry(FID,FRESPPARAMNAME,FRESPPARAMMUST,FRESPPARAMTYPE,FPARENTENTRYID,FENTRYID,FSEQ,FRESPEXAMPLE,FRESPDES) VALUES (1236053574845241344,'1236078563317287936','1','String',1236082897543269376,1236082988702275584,10,'ZLHT-F01-0001',' ');
DELETE FROM t_open_apirespentry WHERE FENTRYID = 1236083306764733440;
INSERT INTO t_open_apirespentry(FID,FRESPPARAMNAME,FRESPPARAMMUST,FRESPPARAMTYPE,FPARENTENTRYID,FENTRYID,FSEQ,FRESPEXAMPLE,FRESPDES) VALUES (1236053574845241344,'validateResult','1','Object',1236074992890845184,1236083306764733440,11,' ',' ');
DELETE FROM t_open_apirespentry WHERE FENTRYID = 1236083538667801600;
INSERT INTO t_open_apirespentry(FID,FRESPPARAMNAME,FRESPPARAMMUST,FRESPPARAMTYPE,FPARENTENTRYID,FENTRYID,FSEQ,FRESPEXAMPLE,FRESPDES) VALUES (1236053574845241344,'validateErrors','1','Object',1236083306764733440,1236083538667801600,12,'[]',' ');
DELETE FROM t_open_apirespentry WHERE FENTRYID = 1236083706079254528;
INSERT INTO t_open_apirespentry(FID,FRESPPARAMNAME,FRESPPARAMMUST,FRESPPARAMTYPE,FPARENTENTRYID,FENTRYID,FSEQ,FRESPEXAMPLE,FRESPDES) VALUES (1236053574845241344,'success','1','Boolean',1236083306764733440,1236083706079254528,13,'true',' ');
DELETE FROM t_open_apirespentry WHERE FENTRYID = 1236083838292102144;
INSERT INTO t_open_apirespentry(FID,FRESPPARAMNAME,FRESPPARAMMUST,FRESPPARAMTYPE,FPARENTENTRYID,FENTRYID,FSEQ,FRESPEXAMPLE,FRESPDES) VALUES (1236053574845241344,'message','1','String',1236083306764733440,1236083838292102144,14,' ',' ');
DELETE FROM t_open_apirespentry WHERE FENTRYID = 1236083942554114048;
INSERT INTO t_open_apirespentry(FID,FRESPPARAMNAME,FRESPPARAMMUST,FRESPPARAMTYPE,FPARENTENTRYID,FENTRYID,FSEQ,FRESPEXAMPLE,FRESPDES) VALUES (1236053574845241344,'errorPkIds','1','Object',1236083306764733440,1236083942554114048,15,'[]',' ');
DELETE FROM t_open_apirespentry WHERE FENTRYID = 1236084051111090176;
INSERT INTO t_open_apirespentry(FID,FRESPPARAMNAME,FRESPPARAMMUST,FRESPPARAMTYPE,FPARENTENTRYID,FENTRYID,FSEQ,FRESPEXAMPLE,FRESPDES) VALUES (1236053574845241344,'errorDataIndexs','1','Object',1236083306764733440,1236084051111090176,16,'[]',' ');
DELETE FROM t_open_apirespentry WHERE FENTRYID = 1236084174549456896;
INSERT INTO t_open_apirespentry(FID,FRESPPARAMNAME,FRESPPARAMMUST,FRESPPARAMTYPE,FPARENTENTRYID,FENTRYID,FSEQ,FRESPEXAMPLE,FRESPDES) VALUES (1236053574845241344,'runSecond','1','int',1236074992890845184,1236084174549456896,17,'0',' ');
DELETE FROM t_open_apirespentry WHERE FENTRYID = 1236084321056495616;
INSERT INTO t_open_apirespentry(FID,FRESPPARAMNAME,FRESPPARAMMUST,FRESPPARAMTYPE,FPARENTENTRYID,FENTRYID,FSEQ,FRESPEXAMPLE,FRESPDES) VALUES (1236053574845241344,'allErrorOrValidateInfo','1','Object',1236074992890845184,1236084321056495616,18,'[]',' ');
DELETE FROM t_open_apirespentry WHERE FENTRYID = 1236084477512420352;
INSERT INTO t_open_apirespentry(FID,FRESPPARAMNAME,FRESPPARAMMUST,FRESPPARAMTYPE,FPARENTENTRYID,FENTRYID,FSEQ,FRESPEXAMPLE,FRESPDES) VALUES (1236053574845241344,'allErrorInfo','1','Object',1236074992890845184,1236084477512420352,19,'[]',' ');
DELETE FROM t_open_apirespentry WHERE FENTRYID = 1236075084578327552;
INSERT INTO t_open_apirespentry(FID,FRESPPARAMNAME,FRESPPARAMMUST,FRESPPARAMTYPE,FPARENTENTRYID,FENTRYID,FSEQ,FRESPEXAMPLE,FRESPDES) VALUES (1236053574845241344,'success','1','Boolean',0,1236075084578327552,20,'true',' ');
DELETE FROM t_open_apirespentry WHERE FENTRYID = 1236075087933773824;
INSERT INTO t_open_apirespentry(FID,FRESPPARAMNAME,FRESPPARAMMUST,FRESPPARAMTYPE,FPARENTENTRYID,FENTRYID,FSEQ,FRESPEXAMPLE,FRESPDES) VALUES (1236053574845241344,'errorCode','1','String',0,1236075087933773824,21,'success',' ');
DELETE FROM t_open_apirespentry WHERE FENTRYID = 1236075149086726144;
INSERT INTO t_open_apirespentry(FID,FRESPPARAMNAME,FRESPPARAMMUST,FRESPPARAMTYPE,FPARENTENTRYID,FENTRYID,FSEQ,FRESPEXAMPLE,FRESPDES) VALUES (1236053574845241344,'message','1','String',0,1236075149086726144,22,' ',' ');