--------------------------------------------
----           摊销与计息查询API          ----
--------------------------------------------

-- 主表
DELETE FROM t_open_apiservice WHERE FID = 1265769537723289600;
INSERT INTO t_open_apiservice(FAPISERVICETYPE,FCUSTOMMETHOD,FOPERATION,FMASTERID,FCONTENTTYPE,FSELECTPARAM,FMUSTPARAM,FCREATETIME,FENABLE,FREQTYPE,FDISABLERID,FBIZOBJECT,FALLOWGUEST,FID,FDISABLEDATE,FURL,FSTATUS,FFILTERPARAM,FNUMBER,FREPTYPE,FMESSAGETYPE,FMODIFIERID,FPLUGIN,FMODIFYTIME,FAPPID,FURLFORMAT,FHTTPMETHOD,FCREATORID) VALUES ('0',' ','query',1265769537723289600,'0','name,createorg,modifytime',' ',{ts'2018-08-08  00:00:00'},'1',NULL,NULL,'fa_lease_rent_settle','0',1265769537723289600,NULL,NULL,'C',' ','fa_lease_rent_settle_query',NULL,NULL,1,' ',{ts'2018-08-08  00:00:00'},'83bfebc800001aac','/sys/fa_lease_rent_settle/query','0',1);

-- 多语言表
DELETE FROM t_open_apiservice_l WHERE fid = 1265769537723289600;
INSERT INTO t_open_apiservice_l
(fpkid, fid, flocaleid, fdiscription, fname)
VALUES('1ZG5KZEB08ER', 1265769537723289600, 'zh_CN', '摊销与计息查询', '摊销与计息查询');
INSERT INTO t_open_apiservice_l
(fpkid, fid, flocaleid, fdiscription, fname)
VALUES('1ZG5KZEB08ES', 1265769537723289600, 'zh_TW', '攤銷與計息查詢', '攤銷與計息查詢');

-- 请求头
DELETE FROM t_open_apiheaderentry WHERE FENTRYID = 1265863366577081344;
INSERT INTO t_open_apiheaderentry(FID,FHEADERNAME,FENTRYID,FSEQ,FHEADERVALUE,FHEADERDES) VALUES (1265769537723289600,'Content-Type',1265863366577081344,1,'application/json','内容格式');
DELETE FROM t_open_apiheaderentry WHERE FENTRYID = 1265863366577081345;
INSERT INTO t_open_apiheaderentry(FID,FHEADERNAME,FENTRYID,FSEQ,FHEADERVALUE,FHEADERDES) VALUES (1265769537723289600,'accesstoken',1265863366577081345,2,'获取的accesstoken值','请求令牌');

-- query参数
DELETE FROM t_open_apiqueryparamentry WHERE FENTRYID = 1265769537723288578;
INSERT INTO t_open_apiqueryparamentry(FID,FURLPARAMTYPE,FURLPARAMEXAMPLE,FURLPARAMMUST,FURLPARAMNAME,FENTRYID,FSEQ,FURLPARAMDES) VALUES (1265769537723289600,'String','org, settledate, rent, interestdays, interest, irr','1','select',1265769537723288578,1,'查询的字段，用英文逗号隔开，一定要包含字段“org”');
DELETE FROM t_open_apiqueryparamentry WHERE FENTRYID = 1265769537723288579;
INSERT INTO t_open_apiqueryparamentry(FID,FURLPARAMTYPE,FURLPARAMEXAMPLE,FURLPARAMMUST,FURLPARAMNAME,FENTRYID,FSEQ,FURLPARAMDES) VALUES (1265769537723289600,'String','leasecontract.number EQ base','1','filter',1265769537723288579,2,'过滤条件。EQ:等于；NQ:不等于；LT:小于；LQ:小于等于；BT:大于；BQ:大于等于；IN:包含；NI:不包含');
DELETE FROM t_open_apiqueryparamentry WHERE FENTRYID = 1265769537723288580;
INSERT INTO t_open_apiqueryparamentry(FID,FURLPARAMTYPE,FURLPARAMEXAMPLE,FURLPARAMMUST,FURLPARAMNAME,FENTRYID,FSEQ,FURLPARAMDES) VALUES (1265769537723289600,'String','settledate','1','order',1265769537723288580,3,'排序字段，用英文逗号隔开');

-- 返回参数
DELETE FROM t_open_apirespentry WHERE FENTRYID = 1265767587371929600;
INSERT INTO t_open_apirespentry(FID,FRESPPARAMNAME,FRESPPARAMMUST,FRESPPARAMTYPE,FPARENTENTRYID,FENTRYID,FSEQ,FRESPEXAMPLE,FRESPDES) VALUES (1265769537723289600,'success','1','String',0,1265767587371929600,1,'true','是否成功');
DELETE FROM t_open_apirespentry WHERE FENTRYID = 1265767588898655232;
INSERT INTO t_open_apirespentry(FID,FRESPPARAMNAME,FRESPPARAMMUST,FRESPPARAMTYPE,FPARENTENTRYID,FENTRYID,FSEQ,FRESPEXAMPLE,FRESPDES) VALUES (1265769537723289600,'data','1','Object',0,1265767588898655232,2,' ','查询结果');
DELETE FROM t_open_apirespentry WHERE FENTRYID = 1265768149157007360;
INSERT INTO t_open_apirespentry(FID,FRESPPARAMNAME,FRESPPARAMMUST,FRESPPARAMTYPE,FPARENTENTRYID,FENTRYID,FSEQ,FRESPEXAMPLE,FRESPDES) VALUES (1265769537723289600,'count','0','int',1265767588898655232,1265768149157007360,3,'3','数据总数');
DELETE FROM t_open_apirespentry WHERE FENTRYID = 1265768195369848832;
INSERT INTO t_open_apirespentry(FID,FRESPPARAMNAME,FRESPPARAMMUST,FRESPPARAMTYPE,FPARENTENTRYID,FENTRYID,FSEQ,FRESPEXAMPLE,FRESPDES) VALUES (1265769537723289600,'header','0','Array',1265767588898655232,1265768195369848832,4,' ','查询数据的字段');
DELETE FROM t_open_apirespentry WHERE FENTRYID = 1265768681422572544;
INSERT INTO t_open_apirespentry(FID,FRESPPARAMNAME,FRESPPARAMMUST,FRESPPARAMTYPE,FPARENTENTRYID,FENTRYID,FSEQ,FRESPEXAMPLE,FRESPDES) VALUES (1265769537723289600,'name','0','String',1265768195369848832,1265768681422572544,5,' ','字段标识');
DELETE FROM t_open_apirespentry WHERE FENTRYID = 1265768784082358272;
INSERT INTO t_open_apirespentry(FID,FRESPPARAMNAME,FRESPPARAMMUST,FRESPPARAMTYPE,FPARENTENTRYID,FENTRYID,FSEQ,FRESPEXAMPLE,FRESPDES) VALUES (1265769537723289600,'caption','0','String',1265768195369848832,1265768784082358272,6,' ','字段名称');
DELETE FROM t_open_apirespentry WHERE FENTRYID = 1265768798368156672;
INSERT INTO t_open_apirespentry(FID,FRESPPARAMNAME,FRESPPARAMMUST,FRESPPARAMTYPE,FPARENTENTRYID,FENTRYID,FSEQ,FRESPEXAMPLE,FRESPDES) VALUES (1265769537723289600,'type','0','String',1265768195369848832,1265768798368156672,7,' ','字段类型');
DELETE FROM t_open_apirespentry WHERE FENTRYID = 1265768217574493184;
INSERT INTO t_open_apirespentry(FID,FRESPPARAMNAME,FRESPPARAMMUST,FRESPPARAMTYPE,FPARENTENTRYID,FENTRYID,FSEQ,FRESPEXAMPLE,FRESPDES) VALUES (1265769537723289600,'rows','0','Object',1265767588898655232,1265768217574493184,8,' ','查询到的数据');