-- SF01：资产拆分单转财务卡片字段映射；SR01：资产拆分单转实物卡片映射
DELETE FROM t_fa_billfieldmap WHERE FID = 1694962415961431040;
INSERT INTO t_fa_billfieldmap(FID,FTARGETOBJ,FMODIFYDATE,FSOURCEBILL,FMODIFIERID,FCREATEDATE,FBIZAPPID,FISENABLE,FCREATORID,FNUMBER,FNAME,FISSYSINIT) VALUES (1694962415961431040,'fa_card_fin',{ts'2023-06-28  00:00:00'},'fa_assetsplitbill',1188421630645258240,{ts'2023-05-28  00:00:00'},' ','1',0,'SF01','资产拆分单转财务卡片字段映射','1'); 
DELETE FROM t_fa_billfieldmap WHERE FID = 1692800644106668032;
INSERT INTO t_fa_billfieldmap(FID,FTARGETOBJ,FMODIFYDATE,FSOURCEBILL,FMODIFIERID,FCREATEDATE,FBIZAPPID,FISENABLE,FCREATORID,FNUMBER,FNAME,FISSYSINIT) VALUES (1692800644106668032,'fa_card_real',{ts'2023-06-28  00:00:00'},'fa_assetsplitbill',1452907390151501824,{ts'2023-05-25  00:00:00'},' ','1',0,'SR01','资产拆分单转实物卡片映射','1'); 

-- 多语言表
DELETE FROM T_FA_BILLFIELDMAP_L WHERE FPKID = '3=Y0IAZQ/4FN';
INSERT INTO T_FA_BILLFIELDMAP_L(FID,FPKID,FLOCALEID,FNAME) VALUES (1692800644106668032,'3=Y0IAZQ/4FN','zh_CN','资产拆分单转实物卡片映射'); 
DELETE FROM T_FA_BILLFIELDMAP_L WHERE FPKID = '3=Y0IAZQ/4FO';
INSERT INTO T_FA_BILLFIELDMAP_L(FID,FPKID,FLOCALEID,FNAME) VALUES (1692800644106668032,'3=Y0IAZQ/4FO','zh_TW','資產拆分單轉實物卡片映射'); 
DELETE FROM T_FA_BILLFIELDMAP_L WHERE FPKID = '3A6DF3Z8A+NT';
INSERT INTO T_FA_BILLFIELDMAP_L(FID,FPKID,FLOCALEID,FNAME) VALUES (1694962415961431040,'3A6DF3Z8A+NT','zh_CN','资产拆分单转财务卡片字段映射'); 
DELETE FROM T_FA_BILLFIELDMAP_L WHERE FPKID = '3A6DF3Z8A+NU';
INSERT INTO T_FA_BILLFIELDMAP_L(FID,FPKID,FLOCALEID,FNAME) VALUES (1694962415961431040,'3A6DF3Z8A+NU','zh_TW','資產拆分單轉財務卡片字段映射'); 

-- 分录配置
DELETE FROM t_fa_billfieldmap_e WHERE FENTRYID = 1694962415961431041;
INSERT INTO t_fa_billfieldmap_e(FID,FTARGETOBJCOL,FSOURCEBILLCOLNO,FENTRYID,FISENABLE,FFORMULADESC,FSELECTTYPE,FTARGETOBJCOLNO,FFORMULA_TAG,FSEQ,FSOURCEBILLCOL,FFIXEDVALUE,FFORMULA,FISSYSINIT) VALUES (1694962415961431040,'originalval','拆分前卡片.拆分后卡片.资产原值',1694962415961431041,'1',' ','0','资产原值',' ',1,'assetsplitentry.subassetsplitentry.aft_originalval',' ',' ','1'); 
DELETE FROM t_fa_billfieldmap_e WHERE FENTRYID = 1695528066845424640;
INSERT INTO t_fa_billfieldmap_e(FID,FTARGETOBJCOL,FSOURCEBILLCOLNO,FENTRYID,FISENABLE,FFORMULADESC,FSELECTTYPE,FTARGETOBJCOLNO,FFORMULA_TAG,FSEQ,FSOURCEBILLCOL,FFIXEDVALUE,FFORMULA,FISSYSINIT) VALUES (1694962415961431040,'incometax','拆分前卡片.拆分后卡片.进项税额',1695528066845424640,'1',' ','0','进项税额',' ',2,'assetsplitentry.subassetsplitentry.aft_incometax',' ',' ','1'); 
DELETE FROM t_fa_billfieldmap_e WHERE FENTRYID = 1692954930580939781;
INSERT INTO t_fa_billfieldmap_e(FID,FTARGETOBJCOL,FSOURCEBILLCOLNO,FENTRYID,FISENABLE,FFORMULADESC,FSELECTTYPE,FTARGETOBJCOLNO,FFORMULA_TAG,FSEQ,FSOURCEBILLCOL,FFIXEDVALUE,FFORMULA,FISSYSINIT) VALUES (1692800644106668032,'realaccountdate','拆分前卡片.拆分后卡片.启用日期',1692954930580939781,'1',' ','0','启用日期',' ',11,'assetsplitentry.subassetsplitentry.aft_realaccountdate',' ',' ','1'); 
DELETE FROM t_fa_billfieldmap_e WHERE FENTRYID = 1692954930580939782;
INSERT INTO t_fa_billfieldmap_e(FID,FTARGETOBJCOL,FSOURCEBILLCOLNO,FENTRYID,FISENABLE,FFORMULADESC,FSELECTTYPE,FTARGETOBJCOLNO,FFORMULA_TAG,FSEQ,FSOURCEBILLCOL,FFIXEDVALUE,FFORMULA,FISSYSINIT) VALUES (1692800644106668032,'model','拆分前卡片.拆分后卡片.规格型号',1692954930580939782,'1',' ','0','规格型号',' ',12,'assetsplitentry.subassetsplitentry.aft_model',' ',' ','1'); 
DELETE FROM t_fa_billfieldmap_e WHERE FENTRYID = 1692954930580939783;
INSERT INTO t_fa_billfieldmap_e(FID,FTARGETOBJCOL,FSOURCEBILLCOLNO,FENTRYID,FISENABLE,FFORMULADESC,FSELECTTYPE,FTARGETOBJCOLNO,FFORMULA_TAG,FSEQ,FSOURCEBILLCOL,FFIXEDVALUE,FFORMULA,FISSYSINIT) VALUES (1692800644106668032,'assetamount','拆分前卡片.拆分后卡片.资产数量',1692954930580939783,'1',' ','0','资产数量',' ',13,'assetsplitentry.subassetsplitentry.aft_assetamount',' ',' ','1'); 
DELETE FROM t_fa_billfieldmap_e WHERE FENTRYID = 1692954930580939784;
INSERT INTO t_fa_billfieldmap_e(FID,FTARGETOBJCOL,FSOURCEBILLCOLNO,FENTRYID,FISENABLE,FFORMULADESC,FSELECTTYPE,FTARGETOBJCOLNO,FFORMULA_TAG,FSEQ,FSOURCEBILLCOL,FFIXEDVALUE,FFORMULA,FISSYSINIT) VALUES (1692800644106668032,'unit','拆分前卡片.拆分后卡片.计量单位',1692954930580939784,'1',' ','0','计量单位',' ',14,'assetsplitentry.subassetsplitentry.aft_unit',' ',' ','1'); 
DELETE FROM t_fa_billfieldmap_e WHERE FENTRYID = 1692954930580939785;
INSERT INTO t_fa_billfieldmap_e(FID,FTARGETOBJCOL,FSOURCEBILLCOLNO,FENTRYID,FISENABLE,FFORMULADESC,FSELECTTYPE,FTARGETOBJCOLNO,FFORMULA_TAG,FSEQ,FSOURCEBILLCOL,FFIXEDVALUE,FFORMULA,FISSYSINIT) VALUES (1692800644106668032,'originmethod','拆分前卡片.拆分后卡片.来源方式',1692954930580939785,'1',' ','0','来源方式',' ',15,'assetsplitentry.subassetsplitentry.aft_originmethod',' ',' ','1'); 
DELETE FROM t_fa_billfieldmap_e WHERE FENTRYID = 1692954930580939786;
INSERT INTO t_fa_billfieldmap_e(FID,FTARGETOBJCOL,FSOURCEBILLCOLNO,FENTRYID,FISENABLE,FFORMULADESC,FSELECTTYPE,FTARGETOBJCOLNO,FFORMULA_TAG,FSEQ,FSOURCEBILLCOL,FFIXEDVALUE,FFORMULA,FISSYSINIT) VALUES (1692800644106668032,'supplier','拆分前卡片.拆分后卡片.供应商',1692954930580939786,'1',' ','0','供应商',' ',16,'assetsplitentry.subassetsplitentry.aft_supplier',' ',' ','1'); 
DELETE FROM t_fa_billfieldmap_e WHERE FENTRYID = 1692954930580939787;
INSERT INTO t_fa_billfieldmap_e(FID,FTARGETOBJCOL,FSOURCEBILLCOLNO,FENTRYID,FISENABLE,FFORMULADESC,FSELECTTYPE,FTARGETOBJCOLNO,FFORMULA_TAG,FSEQ,FSOURCEBILLCOL,FFIXEDVALUE,FFORMULA,FISSYSINIT) VALUES (1692800644106668032,'storeplace','拆分前卡片.拆分后卡片.存放地点',1692954930580939787,'1',' ','0','存放地点',' ',17,'assetsplitentry.subassetsplitentry.aft_storeplace',' ',' ','1'); 
DELETE FROM t_fa_billfieldmap_e WHERE FENTRYID = 1692954930580939788;
INSERT INTO t_fa_billfieldmap_e(FID,FTARGETOBJCOL,FSOURCEBILLCOLNO,FENTRYID,FISENABLE,FFORMULADESC,FSELECTTYPE,FTARGETOBJCOLNO,FFORMULA_TAG,FSEQ,FSOURCEBILLCOL,FFIXEDVALUE,FFORMULA,FISSYSINIT) VALUES (1692800644106668032,'usestatus','拆分前卡片.拆分后卡片.使用状态',1692954930580939788,'1',' ','0','使用状态',' ',18,'assetsplitentry.subassetsplitentry.aft_usestatus',' ',' ','1'); 
DELETE FROM t_fa_billfieldmap_e WHERE FENTRYID = 1692954930580939789;
INSERT INTO t_fa_billfieldmap_e(FID,FTARGETOBJCOL,FSOURCEBILLCOLNO,FENTRYID,FISENABLE,FFORMULADESC,FSELECTTYPE,FTARGETOBJCOLNO,FFORMULA_TAG,FSEQ,FSOURCEBILLCOL,FFIXEDVALUE,FFORMULA,FISSYSINIT) VALUES (1692800644106668032,'headuseperson','拆分前卡片.拆分后卡片.使用人',1692954930580939789,'1',' ','0','使用人',' ',19,'assetsplitentry.subassetsplitentry.aft_headuseperson',' ',' ','1'); 
DELETE FROM t_fa_billfieldmap_e WHERE FENTRYID = 1692954930580939790;
INSERT INTO t_fa_billfieldmap_e(FID,FTARGETOBJCOL,FSOURCEBILLCOLNO,FENTRYID,FISENABLE,FFORMULADESC,FSELECTTYPE,FTARGETOBJCOLNO,FFORMULA_TAG,FSEQ,FSOURCEBILLCOL,FFIXEDVALUE,FFORMULA,FISSYSINIT) VALUES (1692800644106668032,'headusedept','拆分前卡片.拆分后卡片.使用部门',1692954930580939790,'1',' ','0','使用部门',' ',20,'assetsplitentry.subassetsplitentry.aft_headusedept',' ',' ','1'); 
DELETE FROM t_fa_billfieldmap_e WHERE FENTRYID = 1692954930580939792;
INSERT INTO t_fa_billfieldmap_e(FID,FTARGETOBJCOL,FSOURCEBILLCOLNO,FENTRYID,FISENABLE,FFORMULADESC,FSELECTTYPE,FTARGETOBJCOLNO,FFORMULA_TAG,FSEQ,FSOURCEBILLCOL,FFIXEDVALUE,FFORMULA,FISSYSINIT) VALUES (1692800644106668032,'productline','拆分前卡片.拆分后卡片.产品线',1692954930580939792,'1',' ','0','产品线',' ',22,'assetsplitentry.subassetsplitentry.aft_productline',' ',' ','1'); 
DELETE FROM t_fa_billfieldmap_e WHERE FENTRYID = 1692954930580939793;
INSERT INTO t_fa_billfieldmap_e(FID,FTARGETOBJCOL,FSOURCEBILLCOLNO,FENTRYID,FISENABLE,FFORMULADESC,FSELECTTYPE,FTARGETOBJCOLNO,FFORMULA_TAG,FSEQ,FSOURCEBILLCOL,FFIXEDVALUE,FFORMULA,FISSYSINIT) VALUES (1692800644106668032,'isfacility','拆分前卡片.拆分后卡片.附属设备',1692954930580939793,'1',' ','0','附属设备',' ',23,'assetsplitentry.subassetsplitentry.aft_isfacility',' ',' ','1'); 
DELETE FROM t_fa_billfieldmap_e WHERE FENTRYID = 1692954930580939794;
INSERT INTO t_fa_billfieldmap_e(FID,FTARGETOBJCOL,FSOURCEBILLCOLNO,FENTRYID,FISENABLE,FFORMULADESC,FSELECTTYPE,FTARGETOBJCOLNO,FFORMULA_TAG,FSEQ,FSOURCEBILLCOL,FFIXEDVALUE,FFORMULA,FISSYSINIT) VALUES (1692800644106668032,'isstoraged','拆分前卡片.拆分后卡片.是否库存',1692954930580939794,'1',' ','0','是否库存',' ',24,'assetsplitentry.subassetsplitentry.aft_isstoraged',' ',' ','1'); 
DELETE FROM t_fa_billfieldmap_e WHERE FENTRYID = 1692962052475701248;
INSERT INTO t_fa_billfieldmap_e(FID,FTARGETOBJCOL,FSOURCEBILLCOLNO,FENTRYID,FISENABLE,FFORMULADESC,FSELECTTYPE,FTARGETOBJCOLNO,FFORMULA_TAG,FSEQ,FSOURCEBILLCOL,FFIXEDVALUE,FFORMULA,FISSYSINIT) VALUES (1692800644106668032,'srcbillentityname',' ',1692962052475701248,'1',' ','3','源单据标识',' ',25,' ','fa_assetsplitbill',' ','1'); 
DELETE FROM t_fa_billfieldmap_e WHERE FENTRYID = 1692949486357570561;
INSERT INTO t_fa_billfieldmap_e(FID,FTARGETOBJCOL,FSOURCEBILLCOLNO,FENTRYID,FISENABLE,FFORMULADESC,FSELECTTYPE,FTARGETOBJCOLNO,FFORMULA_TAG,FSEQ,FSOURCEBILLCOL,FFIXEDVALUE,FFORMULA,FISSYSINIT) VALUES (1692800644106668032,'org','拆分前卡片.拆分后卡片.核算组织',1692949486357570561,'1',' ','0','核算组织',' ',1,'assetsplitentry.subassetsplitentry.aft_org',' ',' ','1'); 
DELETE FROM t_fa_billfieldmap_e WHERE FENTRYID = 1692949486357570560;
INSERT INTO t_fa_billfieldmap_e(FID,FTARGETOBJCOL,FSOURCEBILLCOLNO,FENTRYID,FISENABLE,FFORMULADESC,FSELECTTYPE,FTARGETOBJCOLNO,FFORMULA_TAG,FSEQ,FSOURCEBILLCOL,FFIXEDVALUE,FFORMULA,FISSYSINIT) VALUES (1692800644106668032,'assetunit','拆分前卡片.拆分后卡片.资产组织',1692949486357570560,'1',' ','0','资产组织',' ',2,'assetsplitentry.subassetsplitentry.aft_assetunit',' ',' ','1'); 
DELETE FROM t_fa_billfieldmap_e WHERE FENTRYID = 1692954930580939791;
INSERT INTO t_fa_billfieldmap_e(FID,FTARGETOBJCOL,FSOURCEBILLCOLNO,FENTRYID,FISENABLE,FFORMULADESC,FSELECTTYPE,FTARGETOBJCOLNO,FFORMULA_TAG,FSEQ,FSOURCEBILLCOL,FFIXEDVALUE,FFORMULA,FISSYSINIT) VALUES (1692800644106668032,'costcentrer','拆分前卡片.拆分后卡片.成本中心',1692954930580939791,'1',' ','0','成本中心',' ',21,'assetsplitentry.subassetsplitentry.aft_costcentrer',' ',' ','1'); 
DELETE FROM t_fa_billfieldmap_e WHERE FENTRYID = 1695533447567031296;
INSERT INTO t_fa_billfieldmap_e(FID,FTARGETOBJCOL,FSOURCEBILLCOLNO,FENTRYID,FISENABLE,FFORMULADESC,FSELECTTYPE,FTARGETOBJCOLNO,FFORMULA_TAG,FSEQ,FSOURCEBILLCOL,FFIXEDVALUE,FFORMULA,FISSYSINIT) VALUES (1694962415961431040,'finaccountdate','拆分前卡片.拆分后卡片.财务入账日期',1695533447567031296,'1',' ','0','财务入账日期',' ',3,'assetsplitentry.subassetsplitentry.aft_finaccountdate',' ',' ','1'); 
DELETE FROM t_fa_billfieldmap_e WHERE FENTRYID = 1692949486357570563;
INSERT INTO t_fa_billfieldmap_e(FID,FTARGETOBJCOL,FSOURCEBILLCOLNO,FENTRYID,FISENABLE,FFORMULADESC,FSELECTTYPE,FTARGETOBJCOLNO,FFORMULA_TAG,FSEQ,FSOURCEBILLCOL,FFIXEDVALUE,FFORMULA,FISSYSINIT) VALUES (1692800644106668032,'billno','拆分前卡片.拆分后卡片.卡片编号',1692949486357570563,'1',' ','0','卡片编号',' ',4,'assetsplitentry.subassetsplitentry.aft_cardbillno',' ',' ','1'); 
DELETE FROM t_fa_billfieldmap_e WHERE FENTRYID = 1692954930580939776;
INSERT INTO t_fa_billfieldmap_e(FID,FTARGETOBJCOL,FSOURCEBILLCOLNO,FENTRYID,FISENABLE,FFORMULADESC,FSELECTTYPE,FTARGETOBJCOLNO,FFORMULA_TAG,FSEQ,FSOURCEBILLCOL,FFIXEDVALUE,FFORMULA,FISSYSINIT) VALUES (1692800644106668032,'number','拆分前卡片.拆分后卡片.资产编码',1692954930580939776,'1',' ','0','资产编码',' ',6,'assetsplitentry.subassetsplitentry.aft_cardnumber',' ',' ','1'); 
DELETE FROM t_fa_billfieldmap_e WHERE FENTRYID = 1695533447567031297;
INSERT INTO t_fa_billfieldmap_e(FID,FTARGETOBJCOL,FSOURCEBILLCOLNO,FENTRYID,FISENABLE,FFORMULADESC,FSELECTTYPE,FTARGETOBJCOLNO,FFORMULA_TAG,FSEQ,FSOURCEBILLCOL,FFIXEDVALUE,FFORMULA,FISSYSINIT) VALUES (1694962415961431040,'depremethod','拆分前卡片.拆分后卡片.折旧方法',1695533447567031297,'1',' ','0','折旧方法',' ',4,'assetsplitentry.subassetsplitentry.aft_depremethod',' ',' ','1'); 
DELETE FROM t_fa_billfieldmap_e WHERE FENTRYID = 1695533447567031298;
INSERT INTO t_fa_billfieldmap_e(FID,FTARGETOBJCOL,FSOURCEBILLCOLNO,FENTRYID,FISENABLE,FFORMULADESC,FSELECTTYPE,FTARGETOBJCOLNO,FFORMULA_TAG,FSEQ,FSOURCEBILLCOL,FFIXEDVALUE,FFORMULA,FISSYSINIT) VALUES (1694962415961431040,'preusingamount','拆分前卡片.拆分后卡片.预计使用期间数/预计总工作量',1695533447567031298,'1',' ','0','预计使用期间数/预计总工作量',' ',5,'assetsplitentry.subassetsplitentry.aft_preusingamount',' ',' ','1'); 
DELETE FROM t_fa_billfieldmap_e WHERE FENTRYID = 1695533447567031299;
INSERT INTO t_fa_billfieldmap_e(FID,FTARGETOBJCOL,FSOURCEBILLCOLNO,FENTRYID,FISENABLE,FFORMULADESC,FSELECTTYPE,FTARGETOBJCOLNO,FFORMULA_TAG,FSEQ,FSOURCEBILLCOL,FFIXEDVALUE,FFORMULA,FISSYSINIT) VALUES (1694962415961431040,'depredamount','拆分前卡片.拆分后卡片.已折旧期间数',1695533447567031299,'1',' ','0','已折旧期间数',' ',6,'assetsplitentry.subassetsplitentry.aft_depredamount',' ',' ','1'); 
DELETE FROM t_fa_billfieldmap_e WHERE FENTRYID = 1695534378140482560;
INSERT INTO t_fa_billfieldmap_e(FID,FTARGETOBJCOL,FSOURCEBILLCOLNO,FENTRYID,FISENABLE,FFORMULADESC,FSELECTTYPE,FTARGETOBJCOLNO,FFORMULA_TAG,FSEQ,FSOURCEBILLCOL,FFIXEDVALUE,FFORMULA,FISSYSINIT) VALUES (1694962415961431040,'accumdepre','拆分前卡片.拆分后卡片.累计折旧',1695534378140482560,'1',' ','0','累计折旧',' ',7,'assetsplitentry.subassetsplitentry.aft_accumdepre',' ',' ','1'); 
DELETE FROM t_fa_billfieldmap_e WHERE FENTRYID = 1695534378140482561;
INSERT INTO t_fa_billfieldmap_e(FID,FTARGETOBJCOL,FSOURCEBILLCOLNO,FENTRYID,FISENABLE,FFORMULADESC,FSELECTTYPE,FTARGETOBJCOLNO,FFORMULA_TAG,FSEQ,FSOURCEBILLCOL,FFIXEDVALUE,FFORMULA,FISSYSINIT) VALUES (1694962415961431040,'decval','拆分前卡片.拆分后卡片.减值准备',1695534378140482561,'1',' ','0','减值准备',' ',8,'assetsplitentry.subassetsplitentry.aft_decval',' ',' ','1'); 
DELETE FROM t_fa_billfieldmap_e WHERE FENTRYID = 1695547819223858176;
INSERT INTO t_fa_billfieldmap_e(FID,FTARGETOBJCOL,FSOURCEBILLCOLNO,FENTRYID,FISENABLE,FFORMULADESC,FSELECTTYPE,FTARGETOBJCOLNO,FFORMULA_TAG,FSEQ,FSOURCEBILLCOL,FFIXEDVALUE,FFORMULA,FISSYSINIT) VALUES (1694962415961431040,'networth','拆分前卡片.拆分后卡片.净值',1695547819223858176,'1',' ','0','净值',' ',10,'assetsplitentry.subassetsplitentry.aft_networth',' ',' ','1'); 
DELETE FROM t_fa_billfieldmap_e WHERE FENTRYID = 1695547819223858177;
INSERT INTO t_fa_billfieldmap_e(FID,FTARGETOBJCOL,FSOURCEBILLCOLNO,FENTRYID,FISENABLE,FFORMULADESC,FSELECTTYPE,FTARGETOBJCOLNO,FFORMULA_TAG,FSEQ,FSOURCEBILLCOL,FFIXEDVALUE,FFORMULA,FISSYSINIT) VALUES (1694962415961431040,'netamount','拆分前卡片.拆分后卡片.净额',1695547819223858177,'1',' ','0','净额',' ',11,'assetsplitentry.subassetsplitentry.aft_netamount',' ',' ','1'); 
DELETE FROM t_fa_billfieldmap_e WHERE FENTRYID = 1695547819223858178;
INSERT INTO t_fa_billfieldmap_e(FID,FTARGETOBJCOL,FSOURCEBILLCOLNO,FENTRYID,FISENABLE,FFORMULADESC,FSELECTTYPE,FTARGETOBJCOLNO,FFORMULA_TAG,FSEQ,FSOURCEBILLCOL,FFIXEDVALUE,FFORMULA,FISSYSINIT) VALUES (1694962415961431040,'originalamount','拆分前卡片.拆分后卡片.原币金额',1695547819223858178,'1',' ','0','原币金额',' ',12,'assetsplitentry.subassetsplitentry.aft_originalamount',' ',' ','1'); 
DELETE FROM t_fa_billfieldmap_e WHERE FENTRYID = 1695547819223858179;
INSERT INTO t_fa_billfieldmap_e(FID,FTARGETOBJCOL,FSOURCEBILLCOLNO,FENTRYID,FISENABLE,FFORMULADESC,FSELECTTYPE,FTARGETOBJCOLNO,FFORMULA_TAG,FSEQ,FSOURCEBILLCOL,FFIXEDVALUE,FFORMULA,FISSYSINIT) VALUES (1694962415961431040,'currency','拆分前卡片.拆分后卡片.原币币别',1695547819223858179,'1',' ','0','币别',' ',13,'assetsplitentry.subassetsplitentry.aft_currency',' ',' ','1'); 
DELETE FROM t_fa_billfieldmap_e WHERE FENTRYID = 1695547819223858180;
INSERT INTO t_fa_billfieldmap_e(FID,FTARGETOBJCOL,FSOURCEBILLCOLNO,FENTRYID,FISENABLE,FFORMULADESC,FSELECTTYPE,FTARGETOBJCOLNO,FFORMULA_TAG,FSEQ,FSOURCEBILLCOL,FFIXEDVALUE,FFORMULA,FISSYSINIT) VALUES (1694962415961431040,'currencyrate','拆分前卡片.拆分后卡片.汇率',1695547819223858180,'1',' ','0','汇率',' ',14,'assetsplitentry.subassetsplitentry.aft_currencyrate',' ',' ','1'); 
DELETE FROM t_fa_billfieldmap_e WHERE FENTRYID = 1695541383685127168;
INSERT INTO t_fa_billfieldmap_e(FID,FTARGETOBJCOL,FSOURCEBILLCOLNO,FENTRYID,FISENABLE,FFORMULADESC,FSELECTTYPE,FTARGETOBJCOLNO,FFORMULA_TAG,FSEQ,FSOURCEBILLCOL,FFIXEDVALUE,FFORMULA,FISSYSINIT) VALUES (1694962415961431040,'addupyeardepre','拆分前卡片.拆分后卡片.本年累计折旧',1695541383685127168,'1',' ','0','本年累计折旧',' ',9,'assetsplitentry.subassetsplitentry.aft_addupyeardepre',' ',' ','1'); 
DELETE FROM t_fa_billfieldmap_e WHERE FENTRYID = 1702316396051994624;
INSERT INTO t_fa_billfieldmap_e(FID,FTARGETOBJCOL,FSOURCEBILLCOLNO,FENTRYID,FISENABLE,FFORMULADESC,FSELECTTYPE,FTARGETOBJCOLNO,FFORMULA_TAG,FSEQ,FSOURCEBILLCOL,FFIXEDVALUE,FFORMULA,FISSYSINIT) VALUES (1694962415961431040,'depreuse','拆分前卡片.拆分后卡片.折旧用途',1702316396051994624,'1',' ','0','折旧用途',' ',15,'assetsplitentry.subassetsplitentry.aft_depreuse',' ',' ','1'); 
DELETE FROM t_fa_billfieldmap_e WHERE FENTRYID = 1703726402006031360;
INSERT INTO t_fa_billfieldmap_e(FID,FTARGETOBJCOL,FSOURCEBILLCOLNO,FENTRYID,FISENABLE,FFORMULADESC,FSELECTTYPE,FTARGETOBJCOLNO,FFORMULA_TAG,FSEQ,FSOURCEBILLCOL,FFIXEDVALUE,FFORMULA,FISSYSINIT) VALUES (1694962415961431040,'basecurrency','拆分前卡片.拆分后卡片.本位币别',1703726402006031360,'1',' ','0','本位币',' ',16,'assetsplitentry.subassetsplitentry.aft_basecurrency',' ',' ','1'); 
DELETE FROM t_fa_billfieldmap_e WHERE FENTRYID = 1717410852295942144;
INSERT INTO t_fa_billfieldmap_e(FID,FTARGETOBJCOL,FSOURCEBILLCOLNO,FENTRYID,FISENABLE,FFORMULADESC,FSELECTTYPE,FTARGETOBJCOLNO,FFORMULA_TAG,FSEQ,FSOURCEBILLCOL,FFIXEDVALUE,FFORMULA,FISSYSINIT) VALUES (1694962415961431040,'preresidualval','拆分前卡片.拆分后卡片.净残值',1717410852295942144,'1',' ','0','预计净残值',' ',17,'assetsplitentry.subassetsplitentry.aft_preresidualval',' ',' ','1'); 
DELETE FROM t_fa_billfieldmap_e WHERE FENTRYID = 1717414108300991488;
INSERT INTO t_fa_billfieldmap_e(FID,FTARGETOBJCOL,FSOURCEBILLCOLNO,FENTRYID,FISENABLE,FFORMULADESC,FSELECTTYPE,FTARGETOBJCOLNO,FFORMULA_TAG,FSEQ,FSOURCEBILLCOL,FFIXEDVALUE,FFORMULA,FISSYSINIT) VALUES (1694962415961431040,'monthorigvalchg','拆分前卡片.拆分后卡片.拆分本期原值变动',1717414108300991488,'1',' ','0','本期原值变动',' ',18,'assetsplitentry.subassetsplitentry.aft_monthorigvalchg',' ',' ','1'); 
DELETE FROM t_fa_billfieldmap_e WHERE FENTRYID = 1717414108300991489;
INSERT INTO t_fa_billfieldmap_e(FID,FTARGETOBJCOL,FSOURCEBILLCOLNO,FENTRYID,FISENABLE,FFORMULADESC,FSELECTTYPE,FTARGETOBJCOLNO,FFORMULA_TAG,FSEQ,FSOURCEBILLCOL,FFIXEDVALUE,FFORMULA,FISSYSINIT) VALUES (1694962415961431040,'yearorigvalchg','拆分前卡片.拆分后卡片.拆分本年原值变动',1717414108300991489,'1',' ','0','本年原值变动',' ',19,'assetsplitentry.subassetsplitentry.aft_yearorigvalchg',' ',' ','1'); 
DELETE FROM t_fa_billfieldmap_e WHERE FENTRYID = 1692949486357570562;
INSERT INTO t_fa_billfieldmap_e(FID,FTARGETOBJCOL,FSOURCEBILLCOLNO,FENTRYID,FISENABLE,FFORMULADESC,FSELECTTYPE,FTARGETOBJCOLNO,FFORMULA_TAG,FSEQ,FSOURCEBILLCOL,FFIXEDVALUE,FFORMULA,FISSYSINIT) VALUES (1692800644106668032,'assetcat','拆分前卡片.拆分后卡片.资产类别',1692949486357570562,'1',' ','0','资产类别',' ',3,'assetsplitentry.subassetsplitentry.aft_assetcat',' ',' ','1'); 
DELETE FROM t_fa_billfieldmap_e WHERE FENTRYID = 1692949486357570564;
INSERT INTO t_fa_billfieldmap_e(FID,FTARGETOBJCOL,FSOURCEBILLCOLNO,FENTRYID,FISENABLE,FFORMULADESC,FSELECTTYPE,FTARGETOBJCOLNO,FFORMULA_TAG,FSEQ,FSOURCEBILLCOL,FFIXEDVALUE,FFORMULA,FISSYSINIT) VALUES (1692800644106668032,'sourceflag',' ',1692949486357570564,'1',' ','3','建卡方式',' ',5,' ','SPLIT',' ','1'); 
DELETE FROM t_fa_billfieldmap_e WHERE FENTRYID = 1692954930580939777;
INSERT INTO t_fa_billfieldmap_e(FID,FTARGETOBJCOL,FSOURCEBILLCOLNO,FENTRYID,FISENABLE,FFORMULADESC,FSELECTTYPE,FTARGETOBJCOLNO,FFORMULA_TAG,FSEQ,FSOURCEBILLCOL,FFIXEDVALUE,FFORMULA,FISSYSINIT) VALUES (1692800644106668032,'assetname','拆分前卡片.拆分后卡片.资产名称',1692954930580939777,'1',' ','0','资产名称',' ',7,'assetsplitentry.subassetsplitentry.aft_assetname',' ',' ','1'); 
DELETE FROM t_fa_billfieldmap_e WHERE FENTRYID = 1692954930580939778;
INSERT INTO t_fa_billfieldmap_e(FID,FTARGETOBJCOL,FSOURCEBILLCOLNO,FENTRYID,FISENABLE,FFORMULADESC,FSELECTTYPE,FTARGETOBJCOLNO,FFORMULA_TAG,FSEQ,FSOURCEBILLCOL,FFIXEDVALUE,FFORMULA,FISSYSINIT) VALUES (1692800644106668032,'remark','拆分前卡片.拆分后卡片.备注',1692954930580939778,'1',' ','0','备注',' ',8,'assetsplitentry.subassetsplitentry.aft_remark',' ',' ','1'); 
DELETE FROM t_fa_billfieldmap_e WHERE FENTRYID = 1692954930580939779;
INSERT INTO t_fa_billfieldmap_e(FID,FTARGETOBJCOL,FSOURCEBILLCOLNO,FENTRYID,FISENABLE,FFORMULADESC,FSELECTTYPE,FTARGETOBJCOLNO,FFORMULA_TAG,FSEQ,FSOURCEBILLCOL,FFIXEDVALUE,FFORMULA,FISSYSINIT) VALUES (1692800644106668032,'picturefield','拆分前卡片.拆分后卡片.图片字段',1692954930580939779,'1',' ','0','图片',' ',9,'assetsplitentry.subassetsplitentry.aft_picturefield',' ',' ','1'); 
DELETE FROM t_fa_billfieldmap_e WHERE FENTRYID = 1692954930580939780;
INSERT INTO t_fa_billfieldmap_e(FID,FTARGETOBJCOL,FSOURCEBILLCOLNO,FENTRYID,FISENABLE,FFORMULADESC,FSELECTTYPE,FTARGETOBJCOLNO,FFORMULA_TAG,FSEQ,FSOURCEBILLCOL,FFIXEDVALUE,FFORMULA,FISSYSINIT) VALUES (1692800644106668032,'barcode','拆分前卡片.拆分后卡片.条形码',1692954930580939780,'1',' ','0','条形码',' ',10,'assetsplitentry.subassetsplitentry.aft_barcode',' ',' ','1'); 

