--------------------------------------------
----            续租合同查询API           ----
--------------------------------------------

-- 主表
DELETE FROM t_open_apiservice WHERE FID = 1241140449696129024;
INSERT INTO t_open_apiservice(FAPISERVICETYPE,FCUSTOMMETHOD,FOPERATION,FMASTERID,FCONTENTTYPE,FSELECTPARAM,FMUSTPARAM,FCREATETIME,FENABLE,FREQTYPE,FDISABLERID,FBIZOBJECT,FALLOWGUEST,FID,FDISABLEDATE,FURL,FSTATUS,FFILTERPARAM,FNUMBER,FREPTYPE,FMESSAGETYPE,FMODIFIERID,FPLUGIN,FMODIFYTIME,FAPPID,FURLFORMAT,FHTTPMETHOD,FCREATORID) VALUES ('2',' ',' ',1241140449696129024,'0','name,createorg,modifytime',' ',{ts'2018-08-08  00:00:00'},'1',NULL,NULL,' ','0',1241140449696129024,NULL,NULL,'C',' ','fa_lease_contract_query_renewal',NULL,NULL,1,'[{"FPK":"","Type":0,"Description":"续租合同查询插件","RowKey":0,"ClassName":"kd.fi.fa.api.lease.RenewalContractQueryPlugin","DisplayName":"续租合同查询插件","Enabled":true,"BizAppId":"","Inherit":false}]',{ts'2018-08-08  00:00:00'},'83bfebc800001aac','/app/fa/fa_lease_contract_query_renewal','0',1);

-- 多语言表
DELETE FROM t_open_apiservice_l WHERE fid = 1241140449696129024;
INSERT INTO t_open_apiservice_l
(fpkid, fid, flocaleid, fdiscription, fname)
VALUES('1WF5R7ELLOJP', 1241140449696129024, 'zh_CN', '查询续租合同的专用接口', '续租合同查询');
INSERT INTO t_open_apiservice_l
(fpkid, fid, flocaleid, fdiscription, fname)
VALUES('1WF5R7ELLOJQ', 1241140449696129024, 'zh_TW', '查詢續租合同的專用接口', '續租合同查詢');

-- 请求头
DELETE FROM t_open_apiheaderentry WHERE FENTRYID = 1241153588210876416;
INSERT INTO t_open_apiheaderentry(FID,FHEADERNAME,FENTRYID,FSEQ,FHEADERVALUE,FHEADERDES) VALUES (1241140449696129024,'Content-Type',1241153588210876416,1,'application/json','内容格式');
DELETE FROM t_open_apiheaderentry WHERE FENTRYID = 1241153588210876417;
INSERT INTO t_open_apiheaderentry(FID,FHEADERNAME,FENTRYID,FSEQ,FHEADERVALUE,FHEADERDES) VALUES (1241140449696129024,'accesstoken',1241153588210876417,2,'获取的accesstoken值','请求令牌');

-- query参数
DELETE FROM t_open_apiqueryparamentry WHERE FENTRYID = 1241140449704498178;
INSERT INTO t_open_apiqueryparamentry(FID,FURLPARAMTYPE,FURLPARAMEXAMPLE,FURLPARAMMUST,FURLPARAMNAME,FENTRYID,FSEQ,FURLPARAMDES) VALUES (1241140449696129024,'String','assetunit,number','1','select',1241140449704498178,1,'查询的字段，用英文逗号隔开');
DELETE FROM t_open_apiqueryparamentry WHERE FENTRYID = 1241140449704498179;
INSERT INTO t_open_apiqueryparamentry(FID,FURLPARAMTYPE,FURLPARAMEXAMPLE,FURLPARAMMUST,FURLPARAMNAME,FENTRYID,FSEQ,FURLPARAMDES) VALUES (1241140449696129024,'String','number EQ HT001 and org.number EQ Org-00027','1','filter',1241140449704498179,2,'过滤条件。EQ:等于；NQ:不等于；LT:小于；LQ:小于等于；BT:大于；BQ:大于等于；IN:包含；NI:不包含');
DELETE FROM t_open_apiqueryparamentry WHERE FENTRYID = 1241140449704498180;
INSERT INTO t_open_apiqueryparamentry(FID,FURLPARAMTYPE,FURLPARAMEXAMPLE,FURLPARAMMUST,FURLPARAMNAME,FENTRYID,FSEQ,FURLPARAMDES) VALUES (1241140449696129024,'String','number','1','order',1241140449704498180,3,'排序字段，用英文逗号隔开');

-- 返回参数
DELETE FROM t_open_apirespentry WHERE FENTRYID = 1241150138513276928;
INSERT INTO t_open_apirespentry(FID,FRESPPARAMNAME,FRESPPARAMMUST,FRESPPARAMTYPE,FPARENTENTRYID,FENTRYID,FSEQ,FRESPEXAMPLE,FRESPDES) VALUES (1241140449696129024,'errorCode','1','String',0,1241150138513276928,2,'success','错误码');
DELETE FROM t_open_apirespentry WHERE FENTRYID = 1241150142271372288;
INSERT INTO t_open_apirespentry(FID,FRESPPARAMNAME,FRESPPARAMMUST,FRESPPARAMTYPE,FPARENTENTRYID,FENTRYID,FSEQ,FRESPEXAMPLE,FRESPDES) VALUES (1241140449696129024,'success','1','Boolean',0,1241150142271372288,3,'true','是否成功');
DELETE FROM t_open_apirespentry WHERE FENTRYID = 1241150133043903488;
INSERT INTO t_open_apirespentry(FID,FRESPPARAMNAME,FRESPPARAMMUST,FRESPPARAMTYPE,FPARENTENTRYID,FENTRYID,FSEQ,FRESPEXAMPLE,FRESPDES) VALUES (1241140449696129024,'data','1','Object',0,1241150133043903488,1,' ','查询到的数据');
