--------------------------------------------
----            终止合同查询API           ----
--------------------------------------------

-- 主表
DELETE FROM t_open_apiservice WHERE FID = 1241100906796300288;
INSERT INTO t_open_apiservice(FAPISERVICETYPE,FCUSTOMMETHOD,FOPERATION,FMASTERID,FCONTENTTYPE,FSELECTPARAM,FMUSTPARAM,FCREATETIME,FENABLE,FREQTYPE,FDISABLERID,FBIZOBJECT,FALLOWGUEST,FID,FDISABLEDATE,FURL,FSTATUS,FFILTERPARAM,FNUMBER,FREPTYPE,FMESSAGETYPE,FMODIFIERID,FPLUGIN,FMODIFYTIME,FAPPID,FURLFORMAT,FHTTPMETHOD,FCREATORID) VALUES ('2',' ',' ',1241100906796300288,'0','name,createorg,modifytime',' ',{ts'2018-08-08  00:00:00'},'1',NULL,NULL,' ','0',1241100906796300288,NULL,NULL,'C',' ','fa_lease_contract_query_terminated',NULL,NULL,1,'[{"FPK":"","Type":0,"Description":"终止合同API插件","RowKey":0,"ClassName":"kd.fi.fa.api.lease.TerminatedContractQueryPlugin","DisplayName":"终止合同API插件","Enabled":true,"BizAppId":"","Inherit":false}]',{ts'2018-08-08  00:00:00'},'83bfebc800001aac','/app/fa/fa_lease_contract_query_terminated','0',1);

-- 多语言表
DELETE FROM t_open_apiservice_l WHERE fid = 1241100906796300288;
INSERT INTO t_open_apiservice_l
(fpkid, fid, flocaleid, fdiscription, fname)
VALUES('1WF+C1N3GKSB', 1241100906796300288, 'zh_CN', '查询已终止合同的专用接口', '终止合同查询');
INSERT INTO t_open_apiservice_l
(fpkid, fid, flocaleid, fdiscription, fname)
VALUES('1WF+C1N3GKSC', 1241100906796300288, 'zh_TW', '查詢已終止合同的專用接口', '終止合同查詢');

-- 请求头
DELETE FROM t_open_apiheaderentry WHERE FENTRYID = 1241153330999377920;
INSERT INTO t_open_apiheaderentry(FID,FHEADERNAME,FENTRYID,FSEQ,FHEADERVALUE,FHEADERDES) VALUES (1241100906796300288,'Content-Type',1241153330999377920,1,'application/json','内容格式');
DELETE FROM t_open_apiheaderentry WHERE FENTRYID = 1241153330999377921;
INSERT INTO t_open_apiheaderentry(FID,FHEADERNAME,FENTRYID,FSEQ,FHEADERVALUE,FHEADERDES) VALUES (1241100906796300288,'accesstoken',1241153330999377921,2,'获取的accesstoken值','请求令牌');

-- query参数
DELETE FROM t_open_apiqueryparamentry WHERE FENTRYID = 1241100906829872131;
INSERT INTO t_open_apiqueryparamentry(FID,FURLPARAMTYPE,FURLPARAMEXAMPLE,FURLPARAMMUST,FURLPARAMNAME,FENTRYID,FSEQ,FURLPARAMDES) VALUES (1241100906796300288,'String','number EQ HT001 and org.number EQ Org-00027','1','filter',1241100906829872131,2,'过滤条件。EQ:等于；NQ:不等于；LT:小于；LQ:小于等于；BT:大于；BQ:大于等于；IN:包含；NI:不包含');
DELETE FROM t_open_apiqueryparamentry WHERE FENTRYID = 1241100906829872132;
INSERT INTO t_open_apiqueryparamentry(FID,FURLPARAMTYPE,FURLPARAMEXAMPLE,FURLPARAMMUST,FURLPARAMNAME,FENTRYID,FSEQ,FURLPARAMDES) VALUES (1241100906796300288,'String','number','1','order',1241100906829872132,3,'排序字段，用英文逗号隔开');
DELETE FROM t_open_apiqueryparamentry WHERE FENTRYID = 1241100906829872130;
INSERT INTO t_open_apiqueryparamentry(FID,FURLPARAMTYPE,FURLPARAMEXAMPLE,FURLPARAMMUST,FURLPARAMNAME,FENTRYID,FSEQ,FURLPARAMDES) VALUES (1241100906796300288,'String','assetunit,number','1','select',1241100906829872130,1,'查询的字段，用英文逗号隔开');

-- 返回参数
DELETE FROM t_open_apirespentry WHERE FENTRYID = 1241149618939673600;
INSERT INTO t_open_apirespentry(FID,FRESPPARAMNAME,FRESPPARAMMUST,FRESPPARAMTYPE,FPARENTENTRYID,FENTRYID,FSEQ,FRESPEXAMPLE,FRESPDES) VALUES (1241100906796300288,'errorCode','1','String',0,1241149618939673600,2,'success','错误码');
DELETE FROM t_open_apirespentry WHERE FENTRYID = 1241149753107070976;
INSERT INTO t_open_apirespentry(FID,FRESPPARAMNAME,FRESPPARAMMUST,FRESPPARAMTYPE,FPARENTENTRYID,FENTRYID,FSEQ,FRESPEXAMPLE,FRESPDES) VALUES (1241100906796300288,'success','1','Boolean',0,1241149753107070976,3,'true','是否成功');
DELETE FROM t_open_apirespentry WHERE FENTRYID = 1241149375972032512;
INSERT INTO t_open_apirespentry(FID,FRESPPARAMNAME,FRESPPARAMMUST,FRESPPARAMTYPE,FPARENTENTRYID,FENTRYID,FSEQ,FRESPEXAMPLE,FRESPDES) VALUES (1241100906796300288,'data','1','Object',0,1241149375972032512,1,' ','查询到的数据');
