--------------------------------------------
----              合同终止API            ----
--------------------------------------------

-- 主表
DELETE FROM t_open_apiservice WHERE FID = 1242066110426128384;
INSERT INTO t_open_apiservice(FAPISERVICETYPE,FCUSTOMMETHOD,FOPERATION,FMASTERID,FCONTENTTYPE,FSELECTPARAM,FMUSTPARAM,FCREATETIME,FENABLE,FREQTYPE,FDISABLERID,FBIZOBJECT,FALLOWGUEST,FID,FDISABLEDATE,FURL,FSTATUS,FFILTERPARAM,FNUMBER,FREPTYPE,FMESSAGETYPE,FMODIFIERID,FPLUGIN,FMODIFYTIME,FAPPID,FURLFORMAT,FHTTPMETHOD,FCREATORID) VALUES ('2',' ',' ',1242066110426128384,'0','name,createorg,modifytime',' ',{ts'2018-08-08'},'1',NULL,NULL,' ','0',1242066110426128384,NULL,NULL,'C',' ','fa_lease_termination',NULL,NULL,1,'[{"FPK":"","Type":0,"Description":"租赁终止API插件","RowKey":0,"ClassName":"kd.fi.fa.api.lease.LeaseTerminationApiPlugin","DisplayName":"租赁终止API插件","Enabled":true,"BizAppId":"","Inherit":false}]',{ts'2018-08-08'},'83bfebc800001aac','/app/fa/fa_lease_termination','1',1);

-- 多语言表
DELETE FROM t_open_apiservice_l WHERE fid = 1242066110426128384;
INSERT INTO t_open_apiservice_l
(fpkid, fid, flocaleid, fdiscription, fname)
VALUES('1WJLPH3LMFM1', 1242066110426128384, 'zh_CN', '租赁合同终止', '租赁合同终止');
INSERT INTO t_open_apiservice_l
(fpkid, fid, flocaleid, fdiscription, fname)
VALUES('1WJLPH3LMFM2', 1242066110426128384, 'zh_TW', '租賃合同終止', '租賃合同終止');

-- 请求头
DELETE FROM t_open_apiheaderentry WHERE FENTRYID = 1244232025599168512;
INSERT INTO t_open_apiheaderentry(FID,FHEADERNAME,FENTRYID,FSEQ,FHEADERVALUE,FHEADERDES) VALUES (1242066110426128384,'Content-Type',1244232025599168512,1,'application/json','内容格式');
DELETE FROM t_open_apiheaderentry WHERE FENTRYID = 1244232025599168513;
INSERT INTO t_open_apiheaderentry(FID,FHEADERNAME,FENTRYID,FSEQ,FHEADERVALUE,FHEADERDES) VALUES (1242066110426128384,'accesstoken',1244232025599168513,2,'获取的accesstoken值','请求令牌');

-- 请求体
DELETE FROM t_open_apibodyentry WHERE FENTRYID = 1242063251135550464;
INSERT INTO t_open_apibodyentry(FID,FMUST,FPARAMTYPE,FPARENTENTRYID,FBODYPARAMDES,FEXAMPLE,FENTRYID,FSEQ,FPARAMNAME) VALUES (1242066110426128384,'1','Array',0,'合同终止的参数',' ',1242063251135550464,1,'datas');
DELETE FROM t_open_apibodyentry WHERE FENTRYID = 1242063666119988224;
INSERT INTO t_open_apibodyentry(FID,FMUST,FPARAMTYPE,FPARENTENTRYID,FBODYPARAMDES,FEXAMPLE,FENTRYID,FSEQ,FPARAMNAME) VALUES (1242066110426128384,'1','Long',1242063251135550464,'需要终止的合同id','1155003796892581888',1242063666119988224,2,'contractId');
DELETE FROM t_open_apibodyentry WHERE FENTRYID = 1242065201159741440;
INSERT INTO t_open_apibodyentry(FID,FMUST,FPARAMTYPE,FPARENTENTRYID,FBODYPARAMDES,FEXAMPLE,FENTRYID,FSEQ,FPARAMNAME) VALUES (1242066110426128384,'1','String',1242063251135550464,'租赁终止日','2023-01-15',1242065201159741440,3,'terminationDate');
DELETE FROM t_open_apibodyentry WHERE FENTRYID = 1242065713485586432;
INSERT INTO t_open_apibodyentry(FID,FMUST,FPARAMTYPE,FPARENTENTRYID,FBODYPARAMDES,FEXAMPLE,FENTRYID,FSEQ,FPARAMNAME) VALUES (1242066110426128384,'1','Long',1242063251135550464,'减少方式id','12',1242065713485586432,4,'changeModeId');
DELETE FROM t_open_apibodyentry WHERE FENTRYID = 1242065776727315456;
INSERT INTO t_open_apibodyentry(FID,FMUST,FPARAMTYPE,FPARENTENTRYID,FBODYPARAMDES,FEXAMPLE,FENTRYID,FSEQ,FPARAMNAME) VALUES (1242066110426128384,'0','String',1242063251135550464,'续租结束日','2025-03-15',1242065776727315456,5,'renewalEndDate');

-- 返回参数
DELETE FROM t_open_apirespentry WHERE FENTRYID = 1244186610665283584;
INSERT INTO t_open_apirespentry(FID,FRESPPARAMNAME,FRESPPARAMMUST,FRESPPARAMTYPE,FPARENTENTRYID,FENTRYID,FSEQ,FRESPEXAMPLE,FRESPDES) VALUES (1242066110426128384,'message','1','String',0,1244186610665283584,1,'success',' ');
DELETE FROM t_open_apirespentry WHERE FENTRYID = 1244186690315121664;
INSERT INTO t_open_apirespentry(FID,FRESPPARAMNAME,FRESPPARAMMUST,FRESPPARAMTYPE,FPARENTENTRYID,FENTRYID,FSEQ,FRESPEXAMPLE,FRESPDES) VALUES (1242066110426128384,'errorCode','1','String',0,1244186690315121664,2,'success',' ');
DELETE FROM t_open_apirespentry WHERE FENTRYID = 1244186695188897792;
INSERT INTO t_open_apirespentry(FID,FRESPPARAMNAME,FRESPPARAMMUST,FRESPPARAMTYPE,FPARENTENTRYID,FENTRYID,FSEQ,FRESPEXAMPLE,FRESPDES) VALUES (1242066110426128384,'success','1','Boolean',0,1244186695188897792,3,'true',' ');