--------------------------------------------
----          租赁合同付款计划查询API          ----
--------------------------------------------

-- 主表
DELETE FROM t_open_apiservice WHERE FID = 1281690339601735680;
INSERT INTO t_open_apiservice(FAPISERVICETYPE,FCUSTOMMETHOD,FOPERATION,FMASTERID,FCONTENTTYPE,FSELECTPARAM,FMUSTPARAM,FCREATETIME,FENABLE,FREQTYPE,FDISABLERID,FBIZOBJECT,FALLOWGUEST,FID,FDISABLEDATE,FURL,FSTATUS,FFILTERPARAM,FNUMBER,FREPTYPE,FMESSAGETYPE,FMODIFIERID,FPLUGIN,FMODIFYTIME,FAPPID,FURLFORMAT,FHTTPMETHOD,FCREATORID)
VALUES ('0',' ','query',1281690339601735680,'0','name,createorg,modifytime',' ',{ts'2018-08-08  00:00:00'},'1',NULL,NULL,'fa_lease_pay_plan','0',1281690339601735680,NULL,NULL,'C',' ','fa_query_payplan',NULL,NULL,1,' ',{ts'2018-08-08  00:00:00'},'83bfebc800001aac','/sys/fa_lease_pay_plan/query','0',1);

-- 多语言表
DELETE FROM t_open_apiservice_l WHERE FID = 1281690339601735680;
INSERT INTO t_open_apiservice_l (fpkid,fid,flocaleid,fdiscription,fname) VALUES ('2/EFAK9+T7MW',1281690339601735680,'zh_CN',' ','查询付款计划');
INSERT INTO t_open_apiservice_l (fpkid,fid,flocaleid,fdiscription,fname) VALUES ('2/EFAK9+T7MX',1281690339601735680,'zh_TW',' ','查詢付款計劃');

-- 请求头
DELETE FROM t_open_apiheaderentry WHERE FENTRYID = 1281690339610124288;
INSERT INTO t_open_apiheaderentry(FID,FHEADERNAME,FENTRYID,FSEQ,FHEADERVALUE,FHEADERDES) VALUES (1281690339601735680,'Content-Type',1281690339610124288,1,'application/json','内容格式');
DELETE FROM t_open_apiheaderentry WHERE FENTRYID = 1281690339610124289;
INSERT INTO t_open_apiheaderentry(FID,FHEADERNAME,FENTRYID,FSEQ,FHEADERVALUE,FHEADERDES) VALUES (1281690339601735680,'accesstoken',1281690339610124289,2,'获取的accesstoken值','请求令牌');

-- 请求体

-- query参数
DELETE FROM t_open_apiqueryparamentry WHERE FENTRYID = 1281698047096626177;
INSERT INTO t_open_apiqueryparamentry(FID,FURLPARAMTYPE,FURLPARAMEXAMPLE,FURLPARAMMUST,FURLPARAMNAME,FENTRYID,FSEQ,FURLPARAMDES) VALUES (1281690339601735680,'String','lease.number EQ 11111','0','filter',1281698047096626177,1,'查询的字段，用英文逗号隔开，一定要包含字段“lease”');
DELETE FROM t_open_apiqueryparamentry WHERE FENTRYID = 1281698047096626178;
INSERT INTO t_open_apiqueryparamentry(FID,FURLPARAMTYPE,FURLPARAMEXAMPLE,FURLPARAMMUST,FURLPARAMNAME,FENTRYID,FSEQ,FURLPARAMDES) VALUES (1281690339601735680,'String','id,billno,lease','0','select',1281698047096626178,2,'查询对象属性');
DELETE FROM t_open_apiqueryparamentry WHERE FENTRYID = 1281706282000161792;
INSERT INTO t_open_apiqueryparamentry(FID,FURLPARAMTYPE,FURLPARAMEXAMPLE,FURLPARAMMUST,FURLPARAMNAME,FENTRYID,FSEQ,FURLPARAMDES) VALUES (1281690339601735680,'String','billno','1','order',1281706282000161792,3,'排序字段，用英文逗号隔开');


-- 返回参数
DELETE FROM t_open_apirespentry WHERE FENTRYID = 1281701220188265472;
INSERT INTO t_open_apirespentry(FID,FRESPPARAMNAME,FRESPPARAMMUST,FRESPPARAMTYPE,FPARENTENTRYID,FENTRYID,FSEQ,FRESPEXAMPLE,FRESPDES) VALUES (1281690339601735680,'success','1','Boolean',0,1281701220188265472,1,' ','是否成功');
DELETE FROM t_open_apirespentry WHERE FENTRYID = 1281701304032485376;
INSERT INTO t_open_apirespentry(FID,FRESPPARAMNAME,FRESPPARAMMUST,FRESPPARAMTYPE,FPARENTENTRYID,FENTRYID,FSEQ,FRESPEXAMPLE,FRESPDES) VALUES (1281690339601735680,'data','1','Object',0,1281701304032485376,2,' ',' ');
DELETE FROM t_open_apirespentry WHERE FENTRYID = 1281701572711128064;
INSERT INTO t_open_apirespentry(FID,FRESPPARAMNAME,FRESPPARAMMUST,FRESPPARAMTYPE,FPARENTENTRYID,FENTRYID,FSEQ,FRESPEXAMPLE,FRESPDES) VALUES (1281690339601735680,'count','1','int',1281701304032485376,1281701572711128064,3,'10','数量');
DELETE FROM t_open_apirespentry WHERE FENTRYID = 1281701831407493120;
INSERT INTO t_open_apirespentry(FID,FRESPPARAMNAME,FRESPPARAMMUST,FRESPPARAMTYPE,FPARENTENTRYID,FENTRYID,FSEQ,FRESPEXAMPLE,FRESPDES) VALUES (1281690339601735680,'header','0','Array',1281701304032485376,1281701831407493120,4,' ',' ');
DELETE FROM t_open_apirespentry WHERE FENTRYID = 1281702133539904512;
INSERT INTO t_open_apirespentry(FID,FRESPPARAMNAME,FRESPPARAMMUST,FRESPPARAMTYPE,FPARENTENTRYID,FENTRYID,FSEQ,FRESPEXAMPLE,FRESPDES) VALUES (1281690339601735680,'name','1','String',1281701831407493120,1281702133539904512,5,'id','字段编码');
DELETE FROM t_open_apirespentry WHERE FENTRYID = 1281702249428606976;
INSERT INTO t_open_apirespentry(FID,FRESPPARAMNAME,FRESPPARAMMUST,FRESPPARAMTYPE,FPARENTENTRYID,FENTRYID,FSEQ,FRESPEXAMPLE,FRESPDES) VALUES (1281690339601735680,'caption','0','String',1281701831407493120,1281702249428606976,6,' ','字段名称');
DELETE FROM t_open_apirespentry WHERE FENTRYID = 1281702390659211264;
INSERT INTO t_open_apirespentry(FID,FRESPPARAMNAME,FRESPPARAMMUST,FRESPPARAMTYPE,FPARENTENTRYID,FENTRYID,FSEQ,FRESPEXAMPLE,FRESPDES) VALUES (1281690339601735680,'type','1','String',1281701831407493120,1281702390659211264,7,'String','字段类型');
DELETE FROM t_open_apirespentry WHERE FENTRYID = 1281702864800029696;
INSERT INTO t_open_apirespentry(FID,FRESPPARAMNAME,FRESPPARAMMUST,FRESPPARAMTYPE,FPARENTENTRYID,FENTRYID,FSEQ,FRESPEXAMPLE,FRESPDES) VALUES (1281690339601735680,'rows','0','Object',1281701304032485376,1281702864800029696,8,' ','查询数据');

