/*资产账簿引入模板*/

/*主表*/
DELETE FROM T_BAS_IMPORTTEMPLATE WHERE FID = '999177466620804096';

INSERT INTO T_BAS_IMPORTTEMPLATE(FID, FCREATETIME, FMODIFYTIME, FMODIFIERID, FNUMBER, FNAME, FBIZOBJECT, FSTATUS, FCREATORID, FENABLE, FCOMMENT, FMASTERID, FTEMPLATETYPE, FENABLEIMPORT) VALUES ('999177466620804096', {ts'2020-10-10 14:22:34'}, {ts'2020-10-10 14:22:34'}, '13466739', 'fa_assetbook_IMPT_S', ' ', 'fa_assetbook', 'C', '13466739', '1', ' ', '999177466620804096', 'IMPT', ' ');

/*多语言表*/
DELETE FROM T_BAS_IMPORTTEMPLATE_L WHERE FID = '999177466620804096';

INSERT INTO T_BAS_IMPORTTEMPLATE_L(FPKID, FID, FLOCALEID, FNAME, FCOMMENT) VALUES ('13PZ/2O=R06=', '999177466620804096', 'zh_CN', '资产账簿引入模板', '预置资产账簿引入模板');
INSERT INTO T_BAS_IMPORTTEMPLATE_L(FPKID, FID, FLOCALEID, FNAME, FCOMMENT) VALUES ('13PZ/2O=R06A', '999177466620804096', 'zh_TW', '資產賬簿引入模板', '預置資產賬簿引入模板');

/*分录表*/
DELETE FROM T_BAS_IMPORTTEMPLATEENTRY WHERE FID = '999177466620804096';

INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID, FENTRYID, FPARENTENTRYID, FSEQ, FFIELDKEY, FFIELDNAME, FMUSTINPUT, FDESCRIPTION, FISIMPORT, FISFIELD, FIMPORTPROP, FEXPORTPROP) VALUES ('999177466620804096', '999177297254808576', '0',                   '1',  'fa_assetbook',  ' ', '0', ' ', '0', '0', ' ', ',,');
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID, FENTRYID, FPARENTENTRYID, FSEQ, FFIELDKEY, FFIELDNAME, FMUSTINPUT, FDESCRIPTION, FISIMPORT, FISFIELD, FIMPORTPROP, FEXPORTPROP) VALUES ('999177466620804096', '999177297330411520', '999177297254808576',  '2',  'billhead',  ' ', '0', ' ', '0', '0', ' ', ',,');
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID, FENTRYID, FPARENTENTRYID, FSEQ, FFIELDKEY, FFIELDNAME, FMUSTINPUT, FDESCRIPTION, FISIMPORT, FISFIELD, FIMPORTPROP, FEXPORTPROP) VALUES ('999177466620804096', '999177297355471872', '999177297330411520',  '3',  'id',  ' ', '0', ' ', '0', '1', ' ', ' ');
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID, FENTRYID, FPARENTENTRYID, FSEQ, FFIELDKEY, FFIELDNAME, FMUSTINPUT, FDESCRIPTION, FISIMPORT, FISFIELD, FIMPORTPROP, FEXPORTPROP) VALUES ('999177466620804096', '999177297380743168', '999177297330411520',  '4',  'name',  ' ', '1', ' ', '1', '1', ' ', ' ');
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID, FENTRYID, FPARENTENTRYID, FSEQ, FFIELDKEY, FFIELDNAME, FMUSTINPUT, FDESCRIPTION, FISIMPORT, FISFIELD, FIMPORTPROP, FEXPORTPROP) VALUES ('999177466620804096', '999177297389026304', '999177297330411520',  '5',  'ismainbook',  ' ', '1', ' ', '1', '1', ' ', ' ');
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID, FENTRYID, FPARENTENTRYID, FSEQ, FFIELDKEY, FFIELDNAME, FMUSTINPUT, FDESCRIPTION, FISIMPORT, FISFIELD, FIMPORTPROP, FEXPORTPROP) VALUES ('999177466620804096', '999177297405908992', '999177297330411520',  '6',  'org',  ' ', '1', ' ', '1', '1', 'number', 'name');
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID, FENTRYID, FPARENTENTRYID, FSEQ, FFIELDKEY, FFIELDNAME, FMUSTINPUT, FDESCRIPTION, FISIMPORT, FISFIELD, FIMPORTPROP, FEXPORTPROP) VALUES ('999177466620804096', '999177297430969344', '999177297330411520',  '7',  'depreuse',  ' ', '1', ' ', '1', '1', 'number', 'name');
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID, FENTRYID, FPARENTENTRYID, FSEQ, FFIELDKEY, FFIELDNAME, FMUSTINPUT, FDESCRIPTION, FISIMPORT, FISFIELD, FIMPORTPROP, FEXPORTPROP) VALUES ('999177466620804096', '999177297456240640', '999177297330411520',  '8',  'depresystem',  ' ', '1', ' ', '1', '1', 'number', 'name');
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID, FENTRYID, FPARENTENTRYID, FSEQ, FFIELDKEY, FFIELDNAME, FMUSTINPUT, FDESCRIPTION, FISIMPORT, FISFIELD, FIMPORTPROP, FEXPORTPROP) VALUES ('999177466620804096', '999177297472912384', '999177297330411520',  '9',  'basecurrency',  ' ', '1', ' ', '1', '1', 'number', 'name');
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID, FENTRYID, FPARENTENTRYID, FSEQ, FFIELDKEY, FFIELDNAME, FMUSTINPUT, FDESCRIPTION, FISIMPORT, FISFIELD, FIMPORTPROP, FEXPORTPROP) VALUES ('999177466620804096', '999177297498183680', '999177297330411520', '10',  'exchangetable',  ' ', '1', ' ', '1', '1', 'number', 'name');
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID, FENTRYID, FPARENTENTRYID, FSEQ, FFIELDKEY, FFIELDNAME, FMUSTINPUT, FDESCRIPTION, FISIMPORT, FISFIELD, FIMPORTPROP, FEXPORTPROP) VALUES ('999177466620804096', '999177297514855424', '999177297330411520', '11',  'periodtype',  ' ', '1', ' ', '1', '1', 'number', 'name');
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID, FENTRYID, FPARENTENTRYID, FSEQ, FFIELDKEY, FFIELDNAME, FMUSTINPUT, FDESCRIPTION, FISIMPORT, FISFIELD, FIMPORTPROP, FEXPORTPROP) VALUES ('999177466620804096', '999177297540126720', '999177297330411520', '12',  'startperiod',  ' ', '1', ' ', '1', '1', 'number', 'name');
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID, FENTRYID, FPARENTENTRYID, FSEQ, FFIELDKEY, FFIELDNAME, FMUSTINPUT, FDESCRIPTION, FISIMPORT, FISFIELD, FIMPORTPROP, FEXPORTPROP) VALUES ('999177466620804096', '999177297565187072', '999177297330411520', '13',  'curperiod',  ' ', '0', ' ', '0', '1', 'number', 'name');
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID, FENTRYID, FPARENTENTRYID, FSEQ, FFIELDKEY, FFIELDNAME, FMUSTINPUT, FDESCRIPTION, FISIMPORT, FISFIELD, FIMPORTPROP, FEXPORTPROP) VALUES ('999177466620804096', '999177297590458368', '999177297330411520', '14',  'depresystementry',  ' ', '0', ' ', '0', '1', 'number', 'number');
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID, FENTRYID, FPARENTENTRYID, FSEQ, FFIELDKEY, FFIELDNAME, FMUSTINPUT, FDESCRIPTION, FISIMPORT, FISFIELD, FIMPORTPROP, FEXPORTPROP) VALUES ('999177466620804096', '999177297615518720', '999177297330411520', '15',  'pcstatus',  ' ', '0', ' ', '0', '1', ' ', ' ');
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID, FENTRYID, FPARENTENTRYID, FSEQ, FFIELDKEY, FFIELDNAME, FMUSTINPUT, FDESCRIPTION, FISIMPORT, FISFIELD, FIMPORTPROP, FEXPORTPROP) VALUES ('999177466620804096', '999177297640790016', '999177297330411520', '16',  'pcsubstatus',  ' ', '0', ' ', '0', '1', ' ', ' ');
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID, FENTRYID, FPARENTENTRYID, FSEQ, FFIELDKEY, FFIELDNAME, FMUSTINPUT, FDESCRIPTION, FISIMPORT, FISFIELD, FIMPORTPROP, FEXPORTPROP) VALUES ('999177466620804096', '999177297665850368', '999177297330411520', '17',  'createtime',  ' ', '0', ' ', '0', '1', ' ', ' ');
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID, FENTRYID, FPARENTENTRYID, FSEQ, FFIELDKEY, FFIELDNAME, FMUSTINPUT, FDESCRIPTION, FISIMPORT, FISFIELD, FIMPORTPROP, FEXPORTPROP) VALUES ('999177466620804096', '999177297682733056', '999177297330411520', '18',  'number',  ' ', '0', ' ', '0', '1', ' ', ' ');
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID, FENTRYID, FPARENTENTRYID, FSEQ, FFIELDKEY, FFIELDNAME, FMUSTINPUT, FDESCRIPTION, FISIMPORT, FISFIELD, FIMPORTPROP, FEXPORTPROP) VALUES ('999177466620804096', '999177297707793408', '999177297330411520', '19',  'status',  ' ', '0', ' ', '0', '1', ' ', ' ');
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID, FENTRYID, FPARENTENTRYID, FSEQ, FFIELDKEY, FFIELDNAME, FMUSTINPUT, FDESCRIPTION, FISIMPORT, FISFIELD, FIMPORTPROP, FEXPORTPROP) VALUES ('999177466620804096', '999177297724676096', '999177297330411520', '20',  'creator',  ' ', '0', ' ', '0', '1', 'number', 'name');
INSERT INTO T_BAS_IMPORTTEMPLATEENTRY(FID, FENTRYID, FPARENTENTRYID, FSEQ, FFIELDKEY, FFIELDNAME, FMUSTINPUT, FDESCRIPTION, FISIMPORT, FISFIELD, FIMPORTPROP, FEXPORTPROP) VALUES ('999177466620804096', '999177297749736448', '999177297330411520', '21',  'enable',  ' ', '0', ' ', '0', '1', ' ', ' ');

